// Garden Gnome Software - Skin
// Pano2VR pro 4.5beta/10252
// Filename: simplex_control_room_menus.ggsk
// Generated Mon 11. Nov 19:23:23 2013

function pano2vrSkin(player,base) {
	var me=this;
	var flag=false;
	var nodeMarker=new Array();
	var activeNodeMarker=new Array();
	this.player=player;
	this.player.skinObj=this;
	this.divSkin=player.divSkin;
	var basePath="";
	// auto detect base path
	if (base=='?') {
		var scripts = document.getElementsByTagName('script');
		for(var i=0;i<scripts.length;i++) {
			var src=scripts[i].src;
			if (src.indexOf('skin.js')>=0) {
				var p=src.lastIndexOf('/');
				if (p>=0) {
					basePath=src.substr(0,p+1);
				}
			}
		}
	} else
	if (base) {
		basePath=base;
	}
	this.elementMouseDown=new Array();
	this.elementMouseOver=new Array();
	var cssPrefix='';
	var domTransition='transition';
	var domTransform='transform';
	var prefixes='Webkit,Moz,O,ms,Ms'.split(',');
	var i;
	for(i=0;i<prefixes.length;i++) {
		if (typeof document.body.style[prefixes[i] + 'Transform'] !== 'undefined') {
			cssPrefix='-' + prefixes[i].toLowerCase() + '-';
			domTransition=prefixes[i] + 'Transition';
			domTransform=prefixes[i] + 'Transform';
		}
	}
	
	this.player.setMargins(0,0,0,0);
	
	this.updateSize=function(startElement) {
		var stack=new Array();
		stack.push(startElement);
		while(stack.length>0) {
			e=stack.pop();
			if (e.ggUpdatePosition) {
				e.ggUpdatePosition();
			}
			if (e.hasChildNodes()) {
				for(i=0;i<e.childNodes.length;i++) {
					stack.push(e.childNodes[i]);
				}
			}
		}
	}
	
	parameterToTransform=function(p) {
		var hs='translate(' + p.rx + 'px,' + p.ry + 'px) rotate(' + p.a + 'deg) scale(' + p.sx + ',' + p.sy + ')';
		return hs;
	}
	
	this.findElements=function(id,regex) {
		var r=new Array();
		var stack=new Array();
		var pat=new RegExp(id,'');
		stack.push(me.divSkin);
		while(stack.length>0) {
			e=stack.pop();
			if (regex) {
				if (pat.test(e.ggId)) r.push(e);
			} else {
				if (e.ggId==id) r.push(e);
			}
			if (e.hasChildNodes()) {
				for(i=0;i<e.childNodes.length;i++) {
					stack.push(e.childNodes[i]);
				}
			}
		}
		return r;
	}
	
	this.addSkin=function() {
		this._dropdown_menu_controls=document.createElement('div');
		this._dropdown_menu_controls.ggId="dropdown_menu_controls";
		this._dropdown_menu_controls.ggParameter={ rx:0,ry:0,a:0,sx:1,sy:1 };
		this._dropdown_menu_controls.ggVisible=true;
		this._dropdown_menu_controls.className='ggskin ggskin_container';
		hs ='position:absolute;';
		hs+='left: 10px;';
		hs+='top:  473px;';
		hs+='width: 66px;';
		hs+='height: 32px;';
		hs+=cssPrefix + 'transform-origin: 50% 50%;';
		hs+='visibility: inherit;';
		this._dropdown_menu_controls.setAttribute('style',hs);
		this._controls=document.createElement('div');
		this._controls.ggId="Controls";
		this._controls.ggParameter={ rx:0,ry:0,a:0,sx:1,sy:1 };
		this._controls.ggVisible=false;
		this._controls.className='ggskin ggskin_container';
		hs ='position:absolute;';
		hs+='left: -8px;';
		hs+='top:  -10px;';
		hs+='width: 90px;';
		hs+='height: 32px;';
		hs+=cssPrefix + 'transform-origin: 50% 50%;';
		hs+='visibility: hidden;';
		this._controls.setAttribute('style',hs);
		this._menu_select_left=document.createElement('div');
		this._menu_select_left.ggId="menu_select_left";
		this._menu_select_left.ggParameter={ rx:0,ry:0,a:0,sx:1,sy:1 };
		this._menu_select_left.ggVisible=true;
		this._menu_select_left.className='ggskin ggskin_svg';
		hs ='position:absolute;';
		hs+='left: 8px;';
		hs+='top:  10px;';
		hs+='width: 66px;';
		hs+='height: 32px;';
		hs+=cssPrefix + 'transform-origin: 50% 50%;';
		hs+='visibility: inherit;';
		hs+='cursor: pointer;';
		this._menu_select_left.setAttribute('style',hs);
		this._menu_select_left__img=document.createElement('img');
		this._menu_select_left__img.className='ggskin ggskin_svg';
		this._menu_select_left__img.setAttribute('src',basePath + 'images/menu_select_left.svg');
		this._menu_select_left__img.setAttribute('style','position: absolute;top: 0px;left: 0px;width: 66px;height: 32px;-webkit-user-drag:none;');
		this._menu_select_left__img['ondragstart']=function() { return false; };
		this._menu_select_left.appendChild(this._menu_select_left__img);
		this._menu_select_left.onmouseover=function () {
			me._tt_left.style[domTransition]='none';
			me._tt_left.style.visibility='inherit';
			me._tt_left.ggVisible=true;
			me._tt_left_white.style[domTransition]='none';
			me._tt_left_white.style.visibility='inherit';
			me._tt_left_white.ggVisible=true;
			me._menu_select_left__img.src=basePath + 'images/menu_select_left__o.svg';
		}
		this._menu_select_left.onmouseout=function () {
			me._tt_left.style[domTransition]='none';
			me._tt_left.style.visibility='hidden';
			me._tt_left.ggVisible=false;
			me._tt_left_white.style[domTransition]='none';
			me._tt_left_white.style.visibility='hidden';
			me._tt_left_white.ggVisible=false;
			me._menu_select_left__img.src=basePath + 'images/menu_select_left.svg';
			me.elementMouseDown['menu_select_left']=false;
		}
		this._menu_select_left.onmousedown=function () {
			me.elementMouseDown['menu_select_left']=true;
		}
		this._menu_select_left.onmouseup=function () {
			me.elementMouseDown['menu_select_left']=false;
		}
		this._menu_select_left.ontouchend=function () {
			me.elementMouseDown['menu_select_left']=false;
		}
		this._tt_left=document.createElement('div');
		this._tt_left.ggId="tt_Left";
		this._tt_left.ggParameter={ rx:0,ry:0,a:0,sx:1,sy:1 };
		this._tt_left.ggVisible=false;
		this._tt_left.className='ggskin ggskin_text';
		hs ='position:absolute;';
		hs+='left: -42px;';
		hs+='top:  -20px;';
		hs+='width: 148px;';
		hs+='height: 18px;';
		hs+=cssPrefix + 'transform-origin: 50% 50%;';
		hs+='visibility: hidden;';
		hs+='border: 0px solid #000000;';
		hs+='color: #000000;';
		hs+='text-align: center;';
		hs+='white-space: nowrap;';
		hs+='padding: 0px 1px 0px 1px;';
		hs+='overflow: hidden;';
		this._tt_left.setAttribute('style',hs);
		this._tt_left.innerHTML="Left";
		this._menu_select_left.appendChild(this._tt_left);
		this._tt_left_white=document.createElement('div');
		this._tt_left_white.ggId="tt_Left_white";
		this._tt_left_white.ggParameter={ rx:0,ry:0,a:0,sx:1,sy:1 };
		this._tt_left_white.ggVisible=false;
		this._tt_left_white.className='ggskin ggskin_text';
		hs ='position:absolute;';
		hs+='left: -43px;';
		hs+='top:  -21px;';
		hs+='width: 148px;';
		hs+='height: 18px;';
		hs+=cssPrefix + 'transform-origin: 50% 50%;';
		hs+='visibility: hidden;';
		hs+='border: 0px solid #000000;';
		hs+='color: #ffffff;';
		hs+='text-align: center;';
		hs+='white-space: nowrap;';
		hs+='padding: 0px 1px 0px 1px;';
		hs+='overflow: hidden;';
		this._tt_left_white.setAttribute('style',hs);
		this._tt_left_white.innerHTML="Left";
		this._menu_select_left.appendChild(this._tt_left_white);
		this._controls.appendChild(this._menu_select_left);
		this._menu_select_down=document.createElement('div');
		this._menu_select_down.ggId="menu_select_down";
		this._menu_select_down.ggParameter={ rx:0,ry:0,a:0,sx:1,sy:1 };
		this._menu_select_down.ggVisible=true;
		this._menu_select_down.className='ggskin ggskin_svg';
		hs ='position:absolute;';
		hs+='left: 8px;';
		hs+='top:  10px;';
		hs+='width: 66px;';
		hs+='height: 32px;';
		hs+=cssPrefix + 'transform-origin: 50% 50%;';
		hs+='visibility: inherit;';
		hs+='cursor: pointer;';
		this._menu_select_down.setAttribute('style',hs);
		this._menu_select_down__img=document.createElement('img');
		this._menu_select_down__img.className='ggskin ggskin_svg';
		this._menu_select_down__img.setAttribute('src',basePath + 'images/menu_select_down.svg');
		this._menu_select_down__img.setAttribute('style','position: absolute;top: 0px;left: 0px;width: 66px;height: 32px;-webkit-user-drag:none;');
		this._menu_select_down__img['ondragstart']=function() { return false; };
		this._menu_select_down.appendChild(this._menu_select_down__img);
		this._menu_select_down.onmouseover=function () {
			me._tt_down.style[domTransition]='none';
			me._tt_down.style.visibility='inherit';
			me._tt_down.ggVisible=true;
			me._tt_down_white.style[domTransition]='none';
			me._tt_down_white.style.visibility='inherit';
			me._tt_down_white.ggVisible=true;
			me._menu_select_down__img.src=basePath + 'images/menu_select_down__o.svg';
		}
		this._menu_select_down.onmouseout=function () {
			me._tt_down.style[domTransition]='none';
			me._tt_down.style.visibility='hidden';
			me._tt_down.ggVisible=false;
			me._tt_down_white.style[domTransition]='none';
			me._tt_down_white.style.visibility='hidden';
			me._tt_down_white.ggVisible=false;
			me._menu_select_down__img.src=basePath + 'images/menu_select_down.svg';
			me.elementMouseDown['menu_select_down']=false;
		}
		this._menu_select_down.onmousedown=function () {
			me.elementMouseDown['menu_select_down']=true;
		}
		this._menu_select_down.onmouseup=function () {
			me.elementMouseDown['menu_select_down']=false;
		}
		this._menu_select_down.ontouchend=function () {
			me.elementMouseDown['menu_select_down']=false;
		}
		this._tt_down=document.createElement('div');
		this._tt_down.ggId="tt_Down";
		this._tt_down.ggParameter={ rx:0,ry:0,a:0,sx:1,sy:1 };
		this._tt_down.ggVisible=false;
		this._tt_down.className='ggskin ggskin_text';
		hs ='position:absolute;';
		hs+='left: -42px;';
		hs+='top:  -20px;';
		hs+='width: 148px;';
		hs+='height: 18px;';
		hs+=cssPrefix + 'transform-origin: 50% 50%;';
		hs+='visibility: hidden;';
		hs+='border: 0px solid #000000;';
		hs+='color: #000000;';
		hs+='text-align: center;';
		hs+='white-space: nowrap;';
		hs+='padding: 0px 1px 0px 1px;';
		hs+='overflow: hidden;';
		this._tt_down.setAttribute('style',hs);
		this._tt_down.innerHTML="Down";
		this._menu_select_down.appendChild(this._tt_down);
		this._tt_down_white=document.createElement('div');
		this._tt_down_white.ggId="tt_Down_white";
		this._tt_down_white.ggParameter={ rx:0,ry:0,a:0,sx:1,sy:1 };
		this._tt_down_white.ggVisible=false;
		this._tt_down_white.className='ggskin ggskin_text';
		hs ='position:absolute;';
		hs+='left: -43px;';
		hs+='top:  -21px;';
		hs+='width: 148px;';
		hs+='height: 18px;';
		hs+=cssPrefix + 'transform-origin: 50% 50%;';
		hs+='visibility: hidden;';
		hs+='border: 0px solid #000000;';
		hs+='color: #ffffff;';
		hs+='text-align: center;';
		hs+='white-space: nowrap;';
		hs+='padding: 0px 1px 0px 1px;';
		hs+='overflow: hidden;';
		this._tt_down_white.setAttribute('style',hs);
		this._tt_down_white.innerHTML="Down";
		this._menu_select_down.appendChild(this._tt_down_white);
		this._controls.appendChild(this._menu_select_down);
		this._menu_select_up=document.createElement('div');
		this._menu_select_up.ggId="menu_select_up";
		this._menu_select_up.ggParameter={ rx:0,ry:0,a:0,sx:1,sy:1 };
		this._menu_select_up.ggVisible=true;
		this._menu_select_up.className='ggskin ggskin_svg';
		hs ='position:absolute;';
		hs+='left: 8px;';
		hs+='top:  10px;';
		hs+='width: 66px;';
		hs+='height: 32px;';
		hs+=cssPrefix + 'transform-origin: 50% 50%;';
		hs+='visibility: inherit;';
		hs+='cursor: pointer;';
		this._menu_select_up.setAttribute('style',hs);
		this._menu_select_up__img=document.createElement('img');
		this._menu_select_up__img.className='ggskin ggskin_svg';
		this._menu_select_up__img.setAttribute('src',basePath + 'images/menu_select_up.svg');
		this._menu_select_up__img.setAttribute('style','position: absolute;top: 0px;left: 0px;width: 66px;height: 32px;-webkit-user-drag:none;');
		this._menu_select_up__img['ondragstart']=function() { return false; };
		this._menu_select_up.appendChild(this._menu_select_up__img);
		this._menu_select_up.onmouseover=function () {
			me._tt_up.style[domTransition]='none';
			me._tt_up.style.visibility='inherit';
			me._tt_up.ggVisible=true;
			me._tt_up_white.style[domTransition]='none';
			me._tt_up_white.style.visibility='inherit';
			me._tt_up_white.ggVisible=true;
			me._menu_select_up__img.src=basePath + 'images/menu_select_up__o.svg';
		}
		this._menu_select_up.onmouseout=function () {
			me._tt_up.style[domTransition]='none';
			me._tt_up.style.visibility='hidden';
			me._tt_up.ggVisible=false;
			me._tt_up_white.style[domTransition]='none';
			me._tt_up_white.style.visibility='hidden';
			me._tt_up_white.ggVisible=false;
			me._menu_select_up__img.src=basePath + 'images/menu_select_up.svg';
			me.elementMouseDown['menu_select_up']=false;
		}
		this._menu_select_up.onmousedown=function () {
			me.elementMouseDown['menu_select_up']=true;
		}
		this._menu_select_up.onmouseup=function () {
			me.elementMouseDown['menu_select_up']=false;
		}
		this._menu_select_up.ontouchend=function () {
			me.elementMouseDown['menu_select_up']=false;
		}
		this._tt_up=document.createElement('div');
		this._tt_up.ggId="tt_Up";
		this._tt_up.ggParameter={ rx:0,ry:0,a:0,sx:1,sy:1 };
		this._tt_up.ggVisible=false;
		this._tt_up.className='ggskin ggskin_text';
		hs ='position:absolute;';
		hs+='left: -42px;';
		hs+='top:  -20px;';
		hs+='width: 148px;';
		hs+='height: 18px;';
		hs+=cssPrefix + 'transform-origin: 50% 50%;';
		hs+='visibility: hidden;';
		hs+='border: 0px solid #000000;';
		hs+='color: #000000;';
		hs+='text-align: center;';
		hs+='white-space: nowrap;';
		hs+='padding: 0px 1px 0px 1px;';
		hs+='overflow: hidden;';
		this._tt_up.setAttribute('style',hs);
		this._tt_up.innerHTML="Up";
		this._menu_select_up.appendChild(this._tt_up);
		this._tt_up_white=document.createElement('div');
		this._tt_up_white.ggId="tt_Up_white";
		this._tt_up_white.ggParameter={ rx:0,ry:0,a:0,sx:1,sy:1 };
		this._tt_up_white.ggVisible=false;
		this._tt_up_white.className='ggskin ggskin_text';
		hs ='position:absolute;';
		hs+='left: -43px;';
		hs+='top:  -21px;';
		hs+='width: 148px;';
		hs+='height: 18px;';
		hs+=cssPrefix + 'transform-origin: 50% 50%;';
		hs+='visibility: hidden;';
		hs+='border: 0px solid #000000;';
		hs+='color: #ffffff;';
		hs+='text-align: center;';
		hs+='white-space: nowrap;';
		hs+='padding: 0px 1px 0px 1px;';
		hs+='overflow: hidden;';
		this._tt_up_white.setAttribute('style',hs);
		this._tt_up_white.innerHTML="Up";
		this._menu_select_up.appendChild(this._tt_up_white);
		this._controls.appendChild(this._menu_select_up);
		this._menu_select_right=document.createElement('div');
		this._menu_select_right.ggId="menu_select_right";
		this._menu_select_right.ggParameter={ rx:0,ry:0,a:0,sx:1,sy:1 };
		this._menu_select_right.ggVisible=true;
		this._menu_select_right.className='ggskin ggskin_svg';
		hs ='position:absolute;';
		hs+='left: 8px;';
		hs+='top:  10px;';
		hs+='width: 66px;';
		hs+='height: 32px;';
		hs+=cssPrefix + 'transform-origin: 50% 50%;';
		hs+='visibility: inherit;';
		hs+='cursor: pointer;';
		this._menu_select_right.setAttribute('style',hs);
		this._menu_select_right__img=document.createElement('img');
		this._menu_select_right__img.className='ggskin ggskin_svg';
		this._menu_select_right__img.setAttribute('src',basePath + 'images/menu_select_right.svg');
		this._menu_select_right__img.setAttribute('style','position: absolute;top: 0px;left: 0px;width: 66px;height: 32px;-webkit-user-drag:none;');
		this._menu_select_right__img['ondragstart']=function() { return false; };
		this._menu_select_right.appendChild(this._menu_select_right__img);
		this._menu_select_right.onmouseover=function () {
			me._tt_right.style[domTransition]='none';
			me._tt_right.style.visibility='inherit';
			me._tt_right.ggVisible=true;
			me._tt_right_white.style[domTransition]='none';
			me._tt_right_white.style.visibility='inherit';
			me._tt_right_white.ggVisible=true;
			me._menu_select_right__img.src=basePath + 'images/menu_select_right__o.svg';
		}
		this._menu_select_right.onmouseout=function () {
			me._tt_right.style[domTransition]='none';
			me._tt_right.style.visibility='hidden';
			me._tt_right.ggVisible=false;
			me._tt_right_white.style[domTransition]='none';
			me._tt_right_white.style.visibility='hidden';
			me._tt_right_white.ggVisible=false;
			me._menu_select_right__img.src=basePath + 'images/menu_select_right.svg';
			me.elementMouseDown['menu_select_right']=false;
		}
		this._menu_select_right.onmousedown=function () {
			me.elementMouseDown['menu_select_right']=true;
		}
		this._menu_select_right.onmouseup=function () {
			me.elementMouseDown['menu_select_right']=false;
		}
		this._menu_select_right.ontouchend=function () {
			me.elementMouseDown['menu_select_right']=false;
		}
		this._tt_right=document.createElement('div');
		this._tt_right.ggId="tt_Right";
		this._tt_right.ggParameter={ rx:0,ry:0,a:0,sx:1,sy:1 };
		this._tt_right.ggVisible=false;
		this._tt_right.className='ggskin ggskin_text';
		hs ='position:absolute;';
		hs+='left: -42px;';
		hs+='top:  -20px;';
		hs+='width: 148px;';
		hs+='height: 18px;';
		hs+=cssPrefix + 'transform-origin: 50% 50%;';
		hs+='visibility: hidden;';
		hs+='border: 0px solid #000000;';
		hs+='color: #000000;';
		hs+='text-align: center;';
		hs+='white-space: nowrap;';
		hs+='padding: 0px 1px 0px 1px;';
		hs+='overflow: hidden;';
		this._tt_right.setAttribute('style',hs);
		this._tt_right.innerHTML="Right";
		this._menu_select_right.appendChild(this._tt_right);
		this._tt_right_white=document.createElement('div');
		this._tt_right_white.ggId="tt_Right_white";
		this._tt_right_white.ggParameter={ rx:0,ry:0,a:0,sx:1,sy:1 };
		this._tt_right_white.ggVisible=false;
		this._tt_right_white.className='ggskin ggskin_text';
		hs ='position:absolute;';
		hs+='left: -43px;';
		hs+='top:  -21px;';
		hs+='width: 148px;';
		hs+='height: 18px;';
		hs+=cssPrefix + 'transform-origin: 50% 50%;';
		hs+='visibility: hidden;';
		hs+='border: 0px solid #000000;';
		hs+='color: #ffffff;';
		hs+='text-align: center;';
		hs+='white-space: nowrap;';
		hs+='padding: 0px 1px 0px 1px;';
		hs+='overflow: hidden;';
		this._tt_right_white.setAttribute('style',hs);
		this._tt_right_white.innerHTML="Right";
		this._menu_select_right.appendChild(this._tt_right_white);
		this._controls.appendChild(this._menu_select_right);
		this._menu_select_zoomin=document.createElement('div');
		this._menu_select_zoomin.ggId="menu_select_zoomin";
		this._menu_select_zoomin.ggParameter={ rx:0,ry:0,a:0,sx:1,sy:1 };
		this._menu_select_zoomin.ggVisible=true;
		this._menu_select_zoomin.className='ggskin ggskin_svg';
		hs ='position:absolute;';
		hs+='left: 8px;';
		hs+='top:  10px;';
		hs+='width: 66px;';
		hs+='height: 32px;';
		hs+=cssPrefix + 'transform-origin: 50% 50%;';
		hs+='visibility: inherit;';
		hs+='cursor: pointer;';
		this._menu_select_zoomin.setAttribute('style',hs);
		this._menu_select_zoomin__img=document.createElement('img');
		this._menu_select_zoomin__img.className='ggskin ggskin_svg';
		this._menu_select_zoomin__img.setAttribute('src',basePath + 'images/menu_select_zoomin.svg');
		this._menu_select_zoomin__img.setAttribute('style','position: absolute;top: 0px;left: 0px;width: 66px;height: 32px;-webkit-user-drag:none;');
		this._menu_select_zoomin__img['ondragstart']=function() { return false; };
		this._menu_select_zoomin.appendChild(this._menu_select_zoomin__img);
		this._menu_select_zoomin.onmouseover=function () {
			me._tt_zoomin.style[domTransition]='none';
			me._tt_zoomin.style.visibility='inherit';
			me._tt_zoomin.ggVisible=true;
			me._tt_zoomin_white.style[domTransition]='none';
			me._tt_zoomin_white.style.visibility='inherit';
			me._tt_zoomin_white.ggVisible=true;
			me._menu_select_zoomin__img.src=basePath + 'images/menu_select_zoomin__o.svg';
		}
		this._menu_select_zoomin.onmouseout=function () {
			me._tt_zoomin.style[domTransition]='none';
			me._tt_zoomin.style.visibility='hidden';
			me._tt_zoomin.ggVisible=false;
			me._tt_zoomin_white.style[domTransition]='none';
			me._tt_zoomin_white.style.visibility='hidden';
			me._tt_zoomin_white.ggVisible=false;
			me._menu_select_zoomin__img.src=basePath + 'images/menu_select_zoomin.svg';
			me.elementMouseDown['menu_select_zoomin']=false;
		}
		this._menu_select_zoomin.onmousedown=function () {
			me.elementMouseDown['menu_select_zoomin']=true;
		}
		this._menu_select_zoomin.onmouseup=function () {
			me.elementMouseDown['menu_select_zoomin']=false;
		}
		this._menu_select_zoomin.ontouchend=function () {
			me.elementMouseDown['menu_select_zoomin']=false;
		}
		this._tt_zoomin=document.createElement('div');
		this._tt_zoomin.ggId="tt_zoomin";
		this._tt_zoomin.ggParameter={ rx:0,ry:0,a:0,sx:1,sy:1 };
		this._tt_zoomin.ggVisible=false;
		this._tt_zoomin.className='ggskin ggskin_text';
		hs ='position:absolute;';
		hs+='left: -41px;';
		hs+='top:  -20px;';
		hs+='width: 148px;';
		hs+='height: 18px;';
		hs+=cssPrefix + 'transform-origin: 50% 50%;';
		hs+='visibility: hidden;';
		hs+='border: 0px solid #000000;';
		hs+='color: #000000;';
		hs+='text-align: center;';
		hs+='white-space: nowrap;';
		hs+='padding: 0px 1px 0px 1px;';
		hs+='overflow: hidden;';
		this._tt_zoomin.setAttribute('style',hs);
		this._tt_zoomin.innerHTML="Zoom In";
		this._menu_select_zoomin.appendChild(this._tt_zoomin);
		this._tt_zoomin_white=document.createElement('div');
		this._tt_zoomin_white.ggId="tt_zoomin_white";
		this._tt_zoomin_white.ggParameter={ rx:0,ry:0,a:0,sx:1,sy:1 };
		this._tt_zoomin_white.ggVisible=false;
		this._tt_zoomin_white.className='ggskin ggskin_text';
		hs ='position:absolute;';
		hs+='left: -42px;';
		hs+='top:  -21px;';
		hs+='width: 148px;';
		hs+='height: 18px;';
		hs+=cssPrefix + 'transform-origin: 50% 50%;';
		hs+='visibility: hidden;';
		hs+='border: 0px solid #000000;';
		hs+='color: #ffffff;';
		hs+='text-align: center;';
		hs+='white-space: nowrap;';
		hs+='padding: 0px 1px 0px 1px;';
		hs+='overflow: hidden;';
		this._tt_zoomin_white.setAttribute('style',hs);
		this._tt_zoomin_white.innerHTML="Zoom In";
		this._menu_select_zoomin.appendChild(this._tt_zoomin_white);
		this._controls.appendChild(this._menu_select_zoomin);
		this._menu_select_zoomout=document.createElement('div');
		this._menu_select_zoomout.ggId="menu_select_zoomout";
		this._menu_select_zoomout.ggParameter={ rx:0,ry:0,a:0,sx:1,sy:1 };
		this._menu_select_zoomout.ggVisible=true;
		this._menu_select_zoomout.className='ggskin ggskin_svg';
		hs ='position:absolute;';
		hs+='left: 8px;';
		hs+='top:  10px;';
		hs+='width: 66px;';
		hs+='height: 32px;';
		hs+=cssPrefix + 'transform-origin: 50% 50%;';
		hs+='visibility: inherit;';
		hs+='cursor: pointer;';
		this._menu_select_zoomout.setAttribute('style',hs);
		this._menu_select_zoomout__img=document.createElement('img');
		this._menu_select_zoomout__img.className='ggskin ggskin_svg';
		this._menu_select_zoomout__img.setAttribute('src',basePath + 'images/menu_select_zoomout.svg');
		this._menu_select_zoomout__img.setAttribute('style','position: absolute;top: 0px;left: 0px;width: 66px;height: 32px;-webkit-user-drag:none;');
		this._menu_select_zoomout__img['ondragstart']=function() { return false; };
		this._menu_select_zoomout.appendChild(this._menu_select_zoomout__img);
		this._menu_select_zoomout.onmouseover=function () {
			me._tt_zoomout.style[domTransition]='none';
			me._tt_zoomout.style.visibility='inherit';
			me._tt_zoomout.ggVisible=true;
			me._tt_zoomout_white.style[domTransition]='none';
			me._tt_zoomout_white.style.visibility='inherit';
			me._tt_zoomout_white.ggVisible=true;
			me._menu_select_zoomout__img.src=basePath + 'images/menu_select_zoomout__o.svg';
		}
		this._menu_select_zoomout.onmouseout=function () {
			me._tt_zoomout.style[domTransition]='none';
			me._tt_zoomout.style.visibility='hidden';
			me._tt_zoomout.ggVisible=false;
			me._tt_zoomout_white.style[domTransition]='none';
			me._tt_zoomout_white.style.visibility='hidden';
			me._tt_zoomout_white.ggVisible=false;
			me._menu_select_zoomout__img.src=basePath + 'images/menu_select_zoomout.svg';
			me.elementMouseDown['menu_select_zoomout']=false;
		}
		this._menu_select_zoomout.onmousedown=function () {
			me.elementMouseDown['menu_select_zoomout']=true;
		}
		this._menu_select_zoomout.onmouseup=function () {
			me.elementMouseDown['menu_select_zoomout']=false;
		}
		this._menu_select_zoomout.ontouchend=function () {
			me.elementMouseDown['menu_select_zoomout']=false;
		}
		this._tt_zoomout=document.createElement('div');
		this._tt_zoomout.ggId="tt_zoomout";
		this._tt_zoomout.ggParameter={ rx:0,ry:0,a:0,sx:1,sy:1 };
		this._tt_zoomout.ggVisible=false;
		this._tt_zoomout.className='ggskin ggskin_text';
		hs ='position:absolute;';
		hs+='left: -43px;';
		hs+='top:  -20px;';
		hs+='width: 148px;';
		hs+='height: 18px;';
		hs+=cssPrefix + 'transform-origin: 50% 50%;';
		hs+='visibility: hidden;';
		hs+='border: 0px solid #000000;';
		hs+='color: #000000;';
		hs+='text-align: center;';
		hs+='white-space: nowrap;';
		hs+='padding: 0px 1px 0px 1px;';
		hs+='overflow: hidden;';
		this._tt_zoomout.setAttribute('style',hs);
		this._tt_zoomout.innerHTML="Zoom Out";
		this._menu_select_zoomout.appendChild(this._tt_zoomout);
		this._tt_zoomout_white=document.createElement('div');
		this._tt_zoomout_white.ggId="tt_zoomout_white";
		this._tt_zoomout_white.ggParameter={ rx:0,ry:0,a:0,sx:1,sy:1 };
		this._tt_zoomout_white.ggVisible=false;
		this._tt_zoomout_white.className='ggskin ggskin_text';
		hs ='position:absolute;';
		hs+='left: -44px;';
		hs+='top:  -21px;';
		hs+='width: 148px;';
		hs+='height: 18px;';
		hs+=cssPrefix + 'transform-origin: 50% 50%;';
		hs+='visibility: hidden;';
		hs+='border: 0px solid #000000;';
		hs+='color: #ffffff;';
		hs+='text-align: center;';
		hs+='white-space: nowrap;';
		hs+='padding: 0px 1px 0px 1px;';
		hs+='overflow: hidden;';
		this._tt_zoomout_white.setAttribute('style',hs);
		this._tt_zoomout_white.innerHTML="Zoom Out";
		this._menu_select_zoomout.appendChild(this._tt_zoomout_white);
		this._controls.appendChild(this._menu_select_zoomout);
		this._menu_select_home=document.createElement('div');
		this._menu_select_home.ggId="menu_select_home";
		this._menu_select_home.ggParameter={ rx:0,ry:0,a:0,sx:1,sy:1 };
		this._menu_select_home.ggVisible=true;
		this._menu_select_home.className='ggskin ggskin_svg';
		hs ='position:absolute;';
		hs+='left: 8px;';
		hs+='top:  10px;';
		hs+='width: 66px;';
		hs+='height: 32px;';
		hs+=cssPrefix + 'transform-origin: 50% 50%;';
		hs+='visibility: inherit;';
		hs+='cursor: pointer;';
		this._menu_select_home.setAttribute('style',hs);
		this._menu_select_home__img=document.createElement('img');
		this._menu_select_home__img.className='ggskin ggskin_svg';
		this._menu_select_home__img.setAttribute('src',basePath + 'images/menu_select_home.svg');
		this._menu_select_home__img.setAttribute('style','position: absolute;top: 0px;left: 0px;width: 66px;height: 32px;-webkit-user-drag:none;');
		this._menu_select_home__img['ondragstart']=function() { return false; };
		this._menu_select_home.appendChild(this._menu_select_home__img);
		this._menu_select_home.onclick=function () {
			me.player.setDefaultView();
		}
		this._menu_select_home.onmouseover=function () {
			me._tt_home.style[domTransition]='none';
			me._tt_home.style.visibility='inherit';
			me._tt_home.ggVisible=true;
			me._tt_home_white.style[domTransition]='none';
			me._tt_home_white.style.visibility='inherit';
			me._tt_home_white.ggVisible=true;
			me._menu_select_home__img.src=basePath + 'images/menu_select_home__o.svg';
		}
		this._menu_select_home.onmouseout=function () {
			me._tt_home.style[domTransition]='none';
			me._tt_home.style.visibility='hidden';
			me._tt_home.ggVisible=false;
			me._tt_home_white.style[domTransition]='none';
			me._tt_home_white.style.visibility='hidden';
			me._tt_home_white.ggVisible=false;
			me._menu_select_home__img.src=basePath + 'images/menu_select_home.svg';
		}
		this._tt_home=document.createElement('div');
		this._tt_home.ggId="tt_home";
		this._tt_home.ggParameter={ rx:0,ry:0,a:0,sx:1,sy:1 };
		this._tt_home.ggVisible=false;
		this._tt_home.className='ggskin ggskin_text';
		hs ='position:absolute;';
		hs+='left: -41px;';
		hs+='top:  -20px;';
		hs+='width: 148px;';
		hs+='height: 18px;';
		hs+=cssPrefix + 'transform-origin: 50% 50%;';
		hs+='visibility: hidden;';
		hs+='border: 0px solid #000000;';
		hs+='color: #000000;';
		hs+='text-align: center;';
		hs+='white-space: nowrap;';
		hs+='padding: 0px 1px 0px 1px;';
		hs+='overflow: hidden;';
		this._tt_home.setAttribute('style',hs);
		this._tt_home.innerHTML="Home";
		this._menu_select_home.appendChild(this._tt_home);
		this._tt_home_white=document.createElement('div');
		this._tt_home_white.ggId="tt_home_white";
		this._tt_home_white.ggParameter={ rx:0,ry:0,a:0,sx:1,sy:1 };
		this._tt_home_white.ggVisible=false;
		this._tt_home_white.className='ggskin ggskin_text';
		hs ='position:absolute;';
		hs+='left: -42px;';
		hs+='top:  -21px;';
		hs+='width: 148px;';
		hs+='height: 18px;';
		hs+=cssPrefix + 'transform-origin: 50% 50%;';
		hs+='visibility: hidden;';
		hs+='border: 0px solid #000000;';
		hs+='color: #ffffff;';
		hs+='text-align: center;';
		hs+='white-space: nowrap;';
		hs+='padding: 0px 1px 0px 1px;';
		hs+='overflow: hidden;';
		this._tt_home_white.setAttribute('style',hs);
		this._tt_home_white.innerHTML="Home";
		this._menu_select_home.appendChild(this._tt_home_white);
		this._controls.appendChild(this._menu_select_home);
		this._menu_select_autorotate=document.createElement('div');
		this._menu_select_autorotate.ggId="menu_select_autorotate";
		this._menu_select_autorotate.ggParameter={ rx:0,ry:0,a:0,sx:1,sy:1 };
		this._menu_select_autorotate.ggVisible=true;
		this._menu_select_autorotate.className='ggskin ggskin_svg';
		hs ='position:absolute;';
		hs+='left: 8px;';
		hs+='top:  10px;';
		hs+='width: 66px;';
		hs+='height: 32px;';
		hs+=cssPrefix + 'transform-origin: 50% 50%;';
		hs+='visibility: inherit;';
		hs+='cursor: pointer;';
		this._menu_select_autorotate.setAttribute('style',hs);
		this._menu_select_autorotate__img=document.createElement('img');
		this._menu_select_autorotate__img.className='ggskin ggskin_svg';
		this._menu_select_autorotate__img.setAttribute('src',basePath + 'images/menu_select_autorotate.svg');
		this._menu_select_autorotate__img.setAttribute('style','position: absolute;top: 0px;left: 0px;width: 66px;height: 32px;-webkit-user-drag:none;');
		this._menu_select_autorotate__img['ondragstart']=function() { return false; };
		this._menu_select_autorotate.appendChild(this._menu_select_autorotate__img);
		this._menu_select_autorotate.onclick=function () {
			me.player.toggleAutorotate();
		}
		this._menu_select_autorotate.onmouseover=function () {
			me._tt_reset.style[domTransition]='none';
			me._tt_reset.style.visibility='inherit';
			me._tt_reset.ggVisible=true;
			me._tt_reset_white.style[domTransition]='none';
			me._tt_reset_white.style.visibility='inherit';
			me._tt_reset_white.ggVisible=true;
			me._menu_select_autorotate__img.src=basePath + 'images/menu_select_autorotate__o.svg';
		}
		this._menu_select_autorotate.onmouseout=function () {
			me._tt_reset.style[domTransition]='none';
			me._tt_reset.style.visibility='hidden';
			me._tt_reset.ggVisible=false;
			me._tt_reset_white.style[domTransition]='none';
			me._tt_reset_white.style.visibility='hidden';
			me._tt_reset_white.ggVisible=false;
			me._menu_select_autorotate__img.src=basePath + 'images/menu_select_autorotate.svg';
		}
		this._tt_reset=document.createElement('div');
		this._tt_reset.ggId="tt_reset";
		this._tt_reset.ggParameter={ rx:0,ry:0,a:0,sx:1,sy:1 };
		this._tt_reset.ggVisible=false;
		this._tt_reset.className='ggskin ggskin_text';
		hs ='position:absolute;';
		hs+='left: -41px;';
		hs+='top:  -20px;';
		hs+='width: 148px;';
		hs+='height: 18px;';
		hs+=cssPrefix + 'transform-origin: 50% 50%;';
		hs+='visibility: hidden;';
		hs+='border: 0px solid #000000;';
		hs+='color: #000000;';
		hs+='text-align: center;';
		hs+='white-space: nowrap;';
		hs+='padding: 0px 1px 0px 1px;';
		hs+='overflow: hidden;';
		this._tt_reset.setAttribute('style',hs);
		this._tt_reset.innerHTML="Stop\\Start";
		this._menu_select_autorotate.appendChild(this._tt_reset);
		this._tt_reset_white=document.createElement('div');
		this._tt_reset_white.ggId="tt_reset_white";
		this._tt_reset_white.ggParameter={ rx:0,ry:0,a:0,sx:1,sy:1 };
		this._tt_reset_white.ggVisible=false;
		this._tt_reset_white.className='ggskin ggskin_text';
		hs ='position:absolute;';
		hs+='left: -42px;';
		hs+='top:  -21px;';
		hs+='width: 148px;';
		hs+='height: 18px;';
		hs+=cssPrefix + 'transform-origin: 50% 50%;';
		hs+='visibility: hidden;';
		hs+='border: 0px solid #000000;';
		hs+='color: #ffffff;';
		hs+='text-align: center;';
		hs+='white-space: nowrap;';
		hs+='padding: 0px 1px 0px 1px;';
		hs+='overflow: hidden;';
		this._tt_reset_white.setAttribute('style',hs);
		this._tt_reset_white.innerHTML="Stop\\Start";
		this._menu_select_autorotate.appendChild(this._tt_reset_white);
		this._controls.appendChild(this._menu_select_autorotate);
		this._tt_hidemenu=document.createElement('div');
		this._tt_hidemenu.ggId="tt_hidemenu";
		this._tt_hidemenu.ggParameter={ rx:0,ry:0,a:0,sx:1,sy:1 };
		this._tt_hidemenu.ggVisible=false;
		this._tt_hidemenu.className='ggskin ggskin_text';
		hs ='position:absolute;';
		hs+='left: 10px;';
		hs+='top:  -10px;';
		hs+='width: 148px;';
		hs+='height: 18px;';
		hs+=cssPrefix + 'transform-origin: 50% 50%;';
		hs+='visibility: hidden;';
		hs+='border: 0px solid #000000;';
		hs+='color: #000000;';
		hs+='text-align: left;';
		hs+='white-space: nowrap;';
		hs+='padding: 0px 1px 0px 1px;';
		hs+='overflow: hidden;';
		this._tt_hidemenu.setAttribute('style',hs);
		this._tt_hidemenu.innerHTML="Hide Menu";
		this._controls.appendChild(this._tt_hidemenu);
		this._tt_hidemenu_white=document.createElement('div');
		this._tt_hidemenu_white.ggId="tt_hidemenu_white";
		this._tt_hidemenu_white.ggParameter={ rx:0,ry:0,a:0,sx:1,sy:1 };
		this._tt_hidemenu_white.ggVisible=false;
		this._tt_hidemenu_white.className='ggskin ggskin_text';
		hs ='position:absolute;';
		hs+='left: 10px;';
		hs+='top:  -11px;';
		hs+='width: 148px;';
		hs+='height: 18px;';
		hs+=cssPrefix + 'transform-origin: 50% 50%;';
		hs+='visibility: hidden;';
		hs+='border: 0px solid #000000;';
		hs+='color: #ffffff;';
		hs+='text-align: left;';
		hs+='white-space: nowrap;';
		hs+='padding: 0px 1px 0px 1px;';
		hs+='overflow: hidden;';
		this._tt_hidemenu_white.setAttribute('style',hs);
		this._tt_hidemenu_white.innerHTML="Hide Menu";
		this._controls.appendChild(this._tt_hidemenu_white);
		this._dropdown_menu_controls.appendChild(this._controls);
		this._menu_bg=document.createElement('div');
		this._menu_bg.ggId="menu_bg";
		this._menu_bg.ggParameter={ rx:0,ry:0,a:0,sx:1,sy:1 };
		this._menu_bg.ggVisible=true;
		this._menu_bg.className='ggskin ggskin_svg';
		hs ='position:absolute;';
		hs+='left: 0px;';
		hs+='top:  0px;';
		hs+='width: 136px;';
		hs+='height: 32px;';
		hs+=cssPrefix + 'transform-origin: 50% 50%;';
		hs+='visibility: inherit;';
		hs+='cursor: pointer;';
		this._menu_bg.setAttribute('style',hs);
		this._menu_bg__img=document.createElement('img');
		this._menu_bg__img.className='ggskin ggskin_svg';
		this._menu_bg__img.setAttribute('src',basePath + 'images/menu_bg.svg');
		this._menu_bg__img.setAttribute('style','position: absolute;top: 0px;left: 0px;width: 136px;height: 32px;-webkit-user-drag:none;');
		this._menu_bg__img['ondragstart']=function() { return false; };
		this._menu_bg.appendChild(this._menu_bg__img);
		this._menu_bg.onmouseover=function () {
			me._menu_bg__img.src=basePath + 'images/menu_bg__o.svg';
		}
		this._menu_bg.onmouseout=function () {
			me._menu_bg__img.src=basePath + 'images/menu_bg.svg';
		}
		this._tt_showmenu=document.createElement('div');
		this._tt_showmenu.ggId="tt_showmenu";
		this._tt_showmenu.ggParameter={ rx:0,ry:0,a:0,sx:1,sy:1 };
		this._tt_showmenu.ggVisible=false;
		this._tt_showmenu.className='ggskin ggskin_text';
		hs ='position:absolute;';
		hs+='left: 2px;';
		hs+='top:  -20px;';
		hs+='width: 148px;';
		hs+='height: 18px;';
		hs+=cssPrefix + 'transform-origin: 50% 50%;';
		hs+='visibility: hidden;';
		hs+='border: 0px solid #000000;';
		hs+='color: #000000;';
		hs+='text-align: left;';
		hs+='white-space: nowrap;';
		hs+='padding: 0px 1px 0px 1px;';
		hs+='overflow: hidden;';
		this._tt_showmenu.setAttribute('style',hs);
		this._tt_showmenu.innerHTML="Show Menu";
		this._menu_bg.appendChild(this._tt_showmenu);
		this._tt_showmenu_white=document.createElement('div');
		this._tt_showmenu_white.ggId="tt_showmenu_white";
		this._tt_showmenu_white.ggParameter={ rx:0,ry:0,a:0,sx:1,sy:1 };
		this._tt_showmenu_white.ggVisible=false;
		this._tt_showmenu_white.className='ggskin ggskin_text';
		hs ='position:absolute;';
		hs+='left: 2px;';
		hs+='top:  -21px;';
		hs+='width: 148px;';
		hs+='height: 18px;';
		hs+=cssPrefix + 'transform-origin: 50% 50%;';
		hs+='visibility: hidden;';
		hs+='border: 0px solid #000000;';
		hs+='color: #ffffff;';
		hs+='text-align: left;';
		hs+='white-space: nowrap;';
		hs+='padding: 0px 1px 0px 1px;';
		hs+='overflow: hidden;';
		this._tt_showmenu_white.setAttribute('style',hs);
		this._tt_showmenu_white.innerHTML="Show Menu";
		this._menu_bg.appendChild(this._tt_showmenu_white);
		this._menu_select_j_main_s2=document.createElement('div');
		this._menu_select_j_main_s2.ggId="menu_select_j_main_s";
		this._menu_select_j_main_s2.ggParameter={ rx:0,ry:0,a:0,sx:1,sy:1 };
		this._menu_select_j_main_s2.ggVisible=true;
		this._menu_select_j_main_s2.className='ggskin ggskin_text';
		hs ='position:absolute;';
		hs+='left: 10px;';
		hs+='top:  8px;';
		hs+='width: 98px;';
		hs+='height: 18px;';
		hs+=cssPrefix + 'transform-origin: 50% 50%;';
		hs+='visibility: inherit;';
		hs+='border: 0px solid #000000;';
		hs+='color: #828282;';
		hs+='text-align: left;';
		hs+='white-space: nowrap;';
		hs+='padding: 0px 1px 0px 1px;';
		hs+='overflow: hidden;';
		this._menu_select_j_main_s2.setAttribute('style',hs);
		this._menu_select_j_main_s2.innerHTML="Controls";
		this._menu_select_j_main2=document.createElement('div');
		this._menu_select_j_main2.ggId="menu_select_j_main";
		this._menu_select_j_main2.ggParameter={ rx:0,ry:0,a:0,sx:1,sy:1 };
		this._menu_select_j_main2.ggVisible=true;
		this._menu_select_j_main2.className='ggskin ggskin_text';
		hs ='position:absolute;';
		hs+='left: -1px;';
		hs+='top:  -1px;';
		hs+='width: 98px;';
		hs+='height: 18px;';
		hs+=cssPrefix + 'transform-origin: 50% 50%;';
		hs+='visibility: inherit;';
		hs+='border: 0px solid #000000;';
		hs+='color: #ffffff;';
		hs+='text-align: left;';
		hs+='white-space: nowrap;';
		hs+='padding: 0px 1px 0px 1px;';
		hs+='overflow: hidden;';
		this._menu_select_j_main2.setAttribute('style',hs);
		this._menu_select_j_main2.innerHTML="Controls";
		this._menu_select_j_main_s2.appendChild(this._menu_select_j_main2);
		this._menu_bg.appendChild(this._menu_select_j_main_s2);
		this._menu_up=document.createElement('div');
		this._menu_up.ggId="menu_up";
		this._menu_up.ggParameter={ rx:0,ry:0,a:0,sx:0,sy:0 };
		this._menu_up.ggVisible=true;
		this._menu_up.className='ggskin ggskin_rectangle';
		hs ='position:absolute;';
		hs+='left: 0px;';
		hs+='top:  0px;';
		hs+='width: 110px;';
		hs+='height: 32px;';
		hs+=cssPrefix + 'transform-origin: 50% 50%;';
		hs+=cssPrefix + 'transform: ' + parameterToTransform(this._menu_up.ggParameter) + ';';
		hs+='visibility: inherit;';
		hs+='cursor: pointer;';
		hs+='background: #ffffff;';
		hs+='background: rgba(255,255,255,0.0392157);';
		hs+='border: 0px solid #000000;';
		this._menu_up.setAttribute('style',hs);
		this._menu_up.onclick=function () {
			var list=me.findElements("menu_select_.*",true);
			while(list.length>0) {
				var e=list.pop();
				if (me.player.transitionsDisabled) {
					e.style[domTransition]='none';
				} else {
					e.style[domTransition]='all 1000ms ease-out 0ms';
				}
				e.ggParameter.rx=0;e.ggParameter.ry=0;
				e.style[domTransform]=parameterToTransform(e.ggParameter);
			}
			me._menu_up.style[domTransition]='none';
			me._menu_up.ggParameter.sx=0;me._menu_up.ggParameter.sy=0;
			me._menu_up.style[domTransform]=parameterToTransform(me._menu_up.ggParameter);
			me._menu_down.style[domTransition]='none';
			me._menu_down.ggParameter.sx=1;me._menu_down.ggParameter.sy=1;
			me._menu_down.style[domTransform]=parameterToTransform(me._menu_down.ggParameter);
			me._controls.style[domTransition]='none';
			me._controls.style.visibility='hidden';
			me._controls.ggVisible=false;
		}
		this._menu_up.onmouseover=function () {
			me._tt_hidemenu.style[domTransition]='none';
			me._tt_hidemenu.style.visibility='inherit';
			me._tt_hidemenu.ggVisible=true;
			me._tt_hidemenu_white.style[domTransition]='none';
			me._tt_hidemenu_white.style.visibility='inherit';
			me._tt_hidemenu_white.ggVisible=true;
		}
		this._menu_up.onmouseout=function () {
			me._tt_hidemenu.style[domTransition]='none';
			me._tt_hidemenu.style.visibility='hidden';
			me._tt_hidemenu.ggVisible=false;
			me._tt_hidemenu_white.style[domTransition]='none';
			me._tt_hidemenu_white.style.visibility='hidden';
			me._tt_hidemenu_white.ggVisible=false;
		}
		this._menu_bg.appendChild(this._menu_up);
		this._menu_down=document.createElement('div');
		this._menu_down.ggId="menu_down";
		this._menu_down.ggParameter={ rx:0,ry:0,a:0,sx:1,sy:1 };
		this._menu_down.ggVisible=true;
		this._menu_down.className='ggskin ggskin_rectangle';
		hs ='position:absolute;';
		hs+='left: 0px;';
		hs+='top:  0px;';
		hs+='width: 110px;';
		hs+='height: 32px;';
		hs+=cssPrefix + 'transform-origin: 50% 50%;';
		hs+='visibility: inherit;';
		hs+='cursor: pointer;';
		hs+='background: #ffffff;';
		hs+='background: rgba(255,255,255,0.0392157);';
		hs+='border: 0px solid #000000;';
		this._menu_down.setAttribute('style',hs);
		this._menu_down.onclick=function () {
			me._menu_down.style[domTransition]='none';
			me._menu_down.ggParameter.sx=0;me._menu_down.ggParameter.sy=0;
			me._menu_down.style[domTransform]=parameterToTransform(me._menu_down.ggParameter);
			me._menu_up.style[domTransition]='none';
			me._menu_up.ggParameter.sx=1;me._menu_up.ggParameter.sy=1;
			me._menu_up.style[domTransform]=parameterToTransform(me._menu_up.ggParameter);
			if (me.player.transitionsDisabled) {
				me._menu_select_left.style[domTransition]='none';
			} else {
				me._menu_select_left.style[domTransition]='all 1000ms ease-out 0ms';
			}
			me._menu_select_left.ggParameter.rx=140;me._menu_select_left.ggParameter.ry=0;
			me._menu_select_left.style[domTransform]=parameterToTransform(me._menu_select_left.ggParameter);
			if (me.player.transitionsDisabled) {
				me._menu_select_down.style[domTransition]='none';
			} else {
				me._menu_select_down.style[domTransition]='all 1000ms ease-out 0ms';
			}
			me._menu_select_down.ggParameter.rx=210;me._menu_select_down.ggParameter.ry=0;
			me._menu_select_down.style[domTransform]=parameterToTransform(me._menu_select_down.ggParameter);
			if (me.player.transitionsDisabled) {
				me._menu_select_up.style[domTransition]='none';
			} else {
				me._menu_select_up.style[domTransition]='all 1000ms ease-out 0ms';
			}
			me._menu_select_up.ggParameter.rx=280;me._menu_select_up.ggParameter.ry=0;
			me._menu_select_up.style[domTransform]=parameterToTransform(me._menu_select_up.ggParameter);
			if (me.player.transitionsDisabled) {
				me._menu_select_right.style[domTransition]='none';
			} else {
				me._menu_select_right.style[domTransition]='all 1000ms ease-out 0ms';
			}
			me._menu_select_right.ggParameter.rx=350;me._menu_select_right.ggParameter.ry=0;
			me._menu_select_right.style[domTransform]=parameterToTransform(me._menu_select_right.ggParameter);
			if (me.player.transitionsDisabled) {
				me._menu_select_zoomin.style[domTransition]='none';
			} else {
				me._menu_select_zoomin.style[domTransition]='all 1000ms ease-out 0ms';
			}
			me._menu_select_zoomin.ggParameter.rx=420;me._menu_select_zoomin.ggParameter.ry=0;
			me._menu_select_zoomin.style[domTransform]=parameterToTransform(me._menu_select_zoomin.ggParameter);
			if (me.player.transitionsDisabled) {
				me._menu_select_zoomout.style[domTransition]='none';
			} else {
				me._menu_select_zoomout.style[domTransition]='all 1000ms ease-out 0ms';
			}
			me._menu_select_zoomout.ggParameter.rx=490;me._menu_select_zoomout.ggParameter.ry=0;
			me._menu_select_zoomout.style[domTransform]=parameterToTransform(me._menu_select_zoomout.ggParameter);
			if (me.player.transitionsDisabled) {
				me._menu_select_autorotate.style[domTransition]='none';
			} else {
				me._menu_select_autorotate.style[domTransition]='all 1000ms ease-out 0ms';
			}
			me._menu_select_autorotate.ggParameter.rx=560;me._menu_select_autorotate.ggParameter.ry=0;
			me._menu_select_autorotate.style[domTransform]=parameterToTransform(me._menu_select_autorotate.ggParameter);
			if (me.player.transitionsDisabled) {
				me._menu_select_home.style[domTransition]='none';
			} else {
				me._menu_select_home.style[domTransition]='all 1000ms ease-out 0ms';
			}
			me._menu_select_home.ggParameter.rx=630;me._menu_select_home.ggParameter.ry=0;
			me._menu_select_home.style[domTransform]=parameterToTransform(me._menu_select_home.ggParameter);
			me._tt_hidemenu_white.style[domTransition]='none';
			me._tt_hidemenu_white.style.visibility='inherit';
			me._tt_hidemenu_white.ggVisible=true;
			me._tt_hidemenu.style[domTransition]='none';
			me._tt_hidemenu.style.visibility='inherit';
			me._tt_hidemenu.ggVisible=true;
			me._tt_showmenu_white.style[domTransition]='none';
			me._tt_showmenu_white.style.visibility='hidden';
			me._tt_showmenu_white.ggVisible=false;
			me._tt_showmenu.style[domTransition]='none';
			me._tt_showmenu.style.visibility='hidden';
			me._tt_showmenu.ggVisible=false;
			me._controls.style[domTransition]='none';
			me._controls.style.visibility='inherit';
			me._controls.ggVisible=true;
		}
		this._menu_down.onmouseover=function () {
			me._tt_showmenu.style[domTransition]='none';
			me._tt_showmenu.style.visibility='inherit';
			me._tt_showmenu.ggVisible=true;
			me._tt_showmenu_white.style[domTransition]='none';
			me._tt_showmenu_white.style.visibility='inherit';
			me._tt_showmenu_white.ggVisible=true;
		}
		this._menu_down.onmouseout=function () {
			me._tt_showmenu.style[domTransition]='none';
			me._tt_showmenu.style.visibility='hidden';
			me._tt_showmenu.ggVisible=false;
			me._tt_showmenu_white.style[domTransition]='none';
			me._tt_showmenu_white.style.visibility='hidden';
			me._tt_showmenu_white.ggVisible=false;
		}
		this._menu_bg.appendChild(this._menu_down);
		this._dropdown_menu_controls.appendChild(this._menu_bg);
		this.divSkin.appendChild(this._dropdown_menu_controls);
		this._dropdown_menu_rooms=document.createElement('div');
		this._dropdown_menu_rooms.ggId="dropdown_menu_rooms";
		this._dropdown_menu_rooms.ggParameter={ rx:0,ry:0,a:0,sx:1,sy:1 };
		this._dropdown_menu_rooms.ggVisible=true;
		this._dropdown_menu_rooms.className='ggskin ggskin_container';
		hs ='position:absolute;';
		hs+='left: 555px;';
		hs+='top:  10px;';
		hs+='width: 120px;';
		hs+='height: 27px;';
		hs+=cssPrefix + 'transform-origin: 50% 50%;';
		hs+='visibility: inherit;';
		this._dropdown_menu_rooms.setAttribute('style',hs);
		this._controls_room=document.createElement('div');
		this._controls_room.ggId="Controls_room";
		this._controls_room.ggParameter={ rx:0,ry:0,a:0,sx:1,sy:1 };
		this._controls_room.ggVisible=false;
		this._controls_room.className='ggskin ggskin_container';
		hs ='position:absolute;';
		hs+='left: -8px;';
		hs+='top:  -10px;';
		hs+='width: 90px;';
		hs+='height: 82px;';
		hs+=cssPrefix + 'transform-origin: 50% 50%;';
		hs+='visibility: hidden;';
		this._controls_room.setAttribute('style',hs);
		this._menu_room_1=document.createElement('div');
		this._menu_room_1.ggId="menu_room_1";
		this._menu_room_1.ggParameter={ rx:0,ry:0,a:0,sx:1,sy:1 };
		this._menu_room_1.ggVisible=true;
		this._menu_room_1.className='ggskin ggskin_svg';
		hs ='position:absolute;';
		hs+='left: 8px;';
		hs+='top:  10px;';
		hs+='width: 150px;';
		hs+='height: 36px;';
		hs+=cssPrefix + 'transform-origin: 50% 50%;';
		hs+='visibility: inherit;';
		hs+='cursor: pointer;';
		this._menu_room_1.setAttribute('style',hs);
		this._menu_room_1__img=document.createElement('img');
		this._menu_room_1__img.className='ggskin ggskin_svg';
		this._menu_room_1__img.setAttribute('src',basePath + 'images/menu_room_1.svg');
		this._menu_room_1__img.setAttribute('style','position: absolute;top: 0px;left: 0px;width: 150px;height: 36px;-webkit-user-drag:none;');
		this._menu_room_1__img['ondragstart']=function() { return false; };
		this._menu_room_1.appendChild(this._menu_room_1__img);
		this._menu_room_1.onclick=function () {
			me.player.openNext("{node1}","355.5\/-10.5\/70");
		}
		this._menu_room_1.onmouseover=function () {
			me._menu_room_1__img.src=basePath + 'images/menu_room_1__o.svg';
		}
		this._menu_room_1.onmouseout=function () {
			me._menu_room_1__img.src=basePath + 'images/menu_room_1.svg';
		}
		this._menu_select_title_a_s=document.createElement('div');
		this._menu_select_title_a_s.ggId="menu_select_title_a_s";
		this._menu_select_title_a_s.ggParameter={ rx:0,ry:0,a:0,sx:1,sy:1 };
		this._menu_select_title_a_s.ggVisible=true;
		this._menu_select_title_a_s.className='ggskin ggskin_text';
		hs ='position:absolute;';
		hs+='left: -9px;';
		hs+='top:  9px;';
		hs+='width: 168px;';
		hs+='height: 18px;';
		hs+=cssPrefix + 'transform-origin: 50% 50%;';
		hs+='visibility: inherit;';
		hs+='border: 0px solid #000000;';
		hs+='color: #828282;';
		hs+='text-align: center;';
		hs+='white-space: nowrap;';
		hs+='padding: 0px 1px 0px 1px;';
		hs+='overflow: hidden;';
		this._menu_select_title_a_s.setAttribute('style',hs);
		this._menu_select_title_a_s.innerHTML="Room 1";
		this._menu_select_title_a=document.createElement('div');
		this._menu_select_title_a.ggId="menu_select_title_a";
		this._menu_select_title_a.ggParameter={ rx:0,ry:0,a:0,sx:1,sy:1 };
		this._menu_select_title_a.ggVisible=true;
		this._menu_select_title_a.className='ggskin ggskin_text';
		hs ='position:absolute;';
		hs+='left: -1px;';
		hs+='top:  0px;';
		hs+='width: 168px;';
		hs+='height: 18px;';
		hs+=cssPrefix + 'transform-origin: 50% 50%;';
		hs+='visibility: inherit;';
		hs+='border: 0px solid #000000;';
		hs+='color: #ffffff;';
		hs+='text-align: center;';
		hs+='white-space: nowrap;';
		hs+='padding: 0px 1px 0px 1px;';
		hs+='overflow: hidden;';
		this._menu_select_title_a.setAttribute('style',hs);
		this._menu_select_title_a.innerHTML="Room 1";
		this._menu_select_title_a_s.appendChild(this._menu_select_title_a);
		this._menu_room_1.appendChild(this._menu_select_title_a_s);
		this._controls_room.appendChild(this._menu_room_1);
		this._menu_room_2=document.createElement('div');
		this._menu_room_2.ggId="menu_room_2";
		this._menu_room_2.ggParameter={ rx:0,ry:0,a:0,sx:1,sy:1 };
		this._menu_room_2.ggVisible=true;
		this._menu_room_2.className='ggskin ggskin_svg';
		hs ='position:absolute;';
		hs+='left: 8px;';
		hs+='top:  10px;';
		hs+='width: 150px;';
		hs+='height: 36px;';
		hs+=cssPrefix + 'transform-origin: 50% 50%;';
		hs+='visibility: inherit;';
		hs+='cursor: pointer;';
		this._menu_room_2.setAttribute('style',hs);
		this._menu_room_2__img=document.createElement('img');
		this._menu_room_2__img.className='ggskin ggskin_svg';
		this._menu_room_2__img.setAttribute('src',basePath + 'images/menu_room_2.svg');
		this._menu_room_2__img.setAttribute('style','position: absolute;top: 0px;left: 0px;width: 150px;height: 36px;-webkit-user-drag:none;');
		this._menu_room_2__img['ondragstart']=function() { return false; };
		this._menu_room_2.appendChild(this._menu_room_2__img);
		this._menu_room_2.onclick=function () {
			me.player.openNext("{node4}","177\/-23\/70");
		}
		this._menu_room_2.onmouseover=function () {
			me._menu_room_2__img.src=basePath + 'images/menu_room_2__o.svg';
		}
		this._menu_room_2.onmouseout=function () {
			me._menu_room_2__img.src=basePath + 'images/menu_room_2.svg';
		}
		this._menu_select_title_b_s=document.createElement('div');
		this._menu_select_title_b_s.ggId="menu_select_title_b_s";
		this._menu_select_title_b_s.ggParameter={ rx:0,ry:0,a:0,sx:1,sy:1 };
		this._menu_select_title_b_s.ggVisible=true;
		this._menu_select_title_b_s.className='ggskin ggskin_text';
		hs ='position:absolute;';
		hs+='left: -9px;';
		hs+='top:  9px;';
		hs+='width: 168px;';
		hs+='height: 18px;';
		hs+=cssPrefix + 'transform-origin: 50% 50%;';
		hs+='visibility: inherit;';
		hs+='border: 0px solid #000000;';
		hs+='color: #828282;';
		hs+='text-align: center;';
		hs+='white-space: nowrap;';
		hs+='padding: 0px 1px 0px 1px;';
		hs+='overflow: hidden;';
		this._menu_select_title_b_s.setAttribute('style',hs);
		this._menu_select_title_b_s.innerHTML="Room 2";
		this._menu_select_title_b=document.createElement('div');
		this._menu_select_title_b.ggId="menu_select_title_b";
		this._menu_select_title_b.ggParameter={ rx:0,ry:0,a:0,sx:1,sy:1 };
		this._menu_select_title_b.ggVisible=true;
		this._menu_select_title_b.className='ggskin ggskin_text';
		hs ='position:absolute;';
		hs+='left: -1px;';
		hs+='top:  0px;';
		hs+='width: 168px;';
		hs+='height: 18px;';
		hs+=cssPrefix + 'transform-origin: 50% 50%;';
		hs+='visibility: inherit;';
		hs+='border: 0px solid #000000;';
		hs+='color: #ffffff;';
		hs+='text-align: center;';
		hs+='white-space: nowrap;';
		hs+='padding: 0px 1px 0px 1px;';
		hs+='overflow: hidden;';
		this._menu_select_title_b.setAttribute('style',hs);
		this._menu_select_title_b.innerHTML="Room 2";
		this._menu_select_title_b_s.appendChild(this._menu_select_title_b);
		this._menu_room_2.appendChild(this._menu_select_title_b_s);
		this._controls_room.appendChild(this._menu_room_2);
		this._menu_room_3=document.createElement('div');
		this._menu_room_3.ggId="menu_room_3";
		this._menu_room_3.ggParameter={ rx:0,ry:0,a:0,sx:1,sy:1 };
		this._menu_room_3.ggVisible=true;
		this._menu_room_3.className='ggskin ggskin_svg';
		hs ='position:absolute;';
		hs+='left: 8px;';
		hs+='top:  10px;';
		hs+='width: 150px;';
		hs+='height: 36px;';
		hs+=cssPrefix + 'transform-origin: 50% 50%;';
		hs+='visibility: inherit;';
		hs+='cursor: pointer;';
		this._menu_room_3.setAttribute('style',hs);
		this._menu_room_3__img=document.createElement('img');
		this._menu_room_3__img.className='ggskin ggskin_svg';
		this._menu_room_3__img.setAttribute('src',basePath + 'images/menu_room_3.svg');
		this._menu_room_3__img.setAttribute('style','position: absolute;top: 0px;left: 0px;width: 150px;height: 36px;-webkit-user-drag:none;');
		this._menu_room_3__img['ondragstart']=function() { return false; };
		this._menu_room_3.appendChild(this._menu_room_3__img);
		this._menu_room_3.onclick=function () {
			me.player.openNext("{node5}","359.5\/-21.5\/70");
		}
		this._menu_room_3.onmouseover=function () {
			me._menu_room_3__img.src=basePath + 'images/menu_room_3__o.svg';
		}
		this._menu_room_3.onmouseout=function () {
			me._menu_room_3__img.src=basePath + 'images/menu_room_3.svg';
		}
		this._menu_select_title_c_s=document.createElement('div');
		this._menu_select_title_c_s.ggId="menu_select_title_c_s";
		this._menu_select_title_c_s.ggParameter={ rx:0,ry:0,a:0,sx:1,sy:1 };
		this._menu_select_title_c_s.ggVisible=true;
		this._menu_select_title_c_s.className='ggskin ggskin_text';
		hs ='position:absolute;';
		hs+='left: -9px;';
		hs+='top:  9px;';
		hs+='width: 168px;';
		hs+='height: 18px;';
		hs+=cssPrefix + 'transform-origin: 50% 50%;';
		hs+='visibility: inherit;';
		hs+='border: 0px solid #000000;';
		hs+='color: #828282;';
		hs+='text-align: center;';
		hs+='white-space: nowrap;';
		hs+='padding: 0px 1px 0px 1px;';
		hs+='overflow: hidden;';
		this._menu_select_title_c_s.setAttribute('style',hs);
		this._menu_select_title_c_s.innerHTML="Room 3";
		this._menu_select_title_c=document.createElement('div');
		this._menu_select_title_c.ggId="menu_select_title_c";
		this._menu_select_title_c.ggParameter={ rx:0,ry:0,a:0,sx:1,sy:1 };
		this._menu_select_title_c.ggVisible=true;
		this._menu_select_title_c.className='ggskin ggskin_text';
		hs ='position:absolute;';
		hs+='left: -1px;';
		hs+='top:  0px;';
		hs+='width: 168px;';
		hs+='height: 18px;';
		hs+=cssPrefix + 'transform-origin: 50% 50%;';
		hs+='visibility: inherit;';
		hs+='border: 0px solid #000000;';
		hs+='color: #ffffff;';
		hs+='text-align: center;';
		hs+='white-space: nowrap;';
		hs+='padding: 0px 1px 0px 1px;';
		hs+='overflow: hidden;';
		this._menu_select_title_c.setAttribute('style',hs);
		this._menu_select_title_c.innerHTML="Room 3";
		this._menu_select_title_c_s.appendChild(this._menu_select_title_c);
		this._menu_room_3.appendChild(this._menu_select_title_c_s);
		this._controls_room.appendChild(this._menu_room_3);
		this._menu_room_4=document.createElement('div');
		this._menu_room_4.ggId="menu_room_4";
		this._menu_room_4.ggParameter={ rx:0,ry:0,a:0,sx:1,sy:1 };
		this._menu_room_4.ggVisible=true;
		this._menu_room_4.className='ggskin ggskin_svg';
		hs ='position:absolute;';
		hs+='left: 8px;';
		hs+='top:  10px;';
		hs+='width: 150px;';
		hs+='height: 36px;';
		hs+=cssPrefix + 'transform-origin: 50% 50%;';
		hs+='visibility: inherit;';
		hs+='cursor: pointer;';
		this._menu_room_4.setAttribute('style',hs);
		this._menu_room_4__img=document.createElement('img');
		this._menu_room_4__img.className='ggskin ggskin_svg';
		this._menu_room_4__img.setAttribute('src',basePath + 'images/menu_room_4.svg');
		this._menu_room_4__img.setAttribute('style','position: absolute;top: 0px;left: 0px;width: 150px;height: 36px;-webkit-user-drag:none;');
		this._menu_room_4__img['ondragstart']=function() { return false; };
		this._menu_room_4.appendChild(this._menu_room_4__img);
		this._menu_room_4.onclick=function () {
			me.player.openNext("{node3}","359.5\/-22\/70");
		}
		this._menu_room_4.onmouseover=function () {
			me._menu_room_4__img.src=basePath + 'images/menu_room_4__o.svg';
		}
		this._menu_room_4.onmouseout=function () {
			me._menu_room_4__img.src=basePath + 'images/menu_room_4.svg';
		}
		this._menu_select_title_d_s=document.createElement('div');
		this._menu_select_title_d_s.ggId="menu_select_title_d_s";
		this._menu_select_title_d_s.ggParameter={ rx:0,ry:0,a:0,sx:1,sy:1 };
		this._menu_select_title_d_s.ggVisible=true;
		this._menu_select_title_d_s.className='ggskin ggskin_text';
		hs ='position:absolute;';
		hs+='left: -9px;';
		hs+='top:  9px;';
		hs+='width: 168px;';
		hs+='height: 18px;';
		hs+=cssPrefix + 'transform-origin: 50% 50%;';
		hs+='visibility: inherit;';
		hs+='border: 0px solid #000000;';
		hs+='color: #828282;';
		hs+='text-align: center;';
		hs+='white-space: nowrap;';
		hs+='padding: 0px 1px 0px 1px;';
		hs+='overflow: hidden;';
		this._menu_select_title_d_s.setAttribute('style',hs);
		this._menu_select_title_d_s.innerHTML="Room 4";
		this._menu_select_title_d=document.createElement('div');
		this._menu_select_title_d.ggId="menu_select_title_d";
		this._menu_select_title_d.ggParameter={ rx:0,ry:0,a:0,sx:1,sy:1 };
		this._menu_select_title_d.ggVisible=true;
		this._menu_select_title_d.className='ggskin ggskin_text';
		hs ='position:absolute;';
		hs+='left: -1px;';
		hs+='top:  0px;';
		hs+='width: 168px;';
		hs+='height: 18px;';
		hs+=cssPrefix + 'transform-origin: 50% 50%;';
		hs+='visibility: inherit;';
		hs+='border: 0px solid #000000;';
		hs+='color: #ffffff;';
		hs+='text-align: center;';
		hs+='white-space: nowrap;';
		hs+='padding: 0px 1px 0px 1px;';
		hs+='overflow: hidden;';
		this._menu_select_title_d.setAttribute('style',hs);
		this._menu_select_title_d.innerHTML="Room 4";
		this._menu_select_title_d_s.appendChild(this._menu_select_title_d);
		this._menu_room_4.appendChild(this._menu_select_title_d_s);
		this._controls_room.appendChild(this._menu_room_4);
		this._menu_room_5=document.createElement('div');
		this._menu_room_5.ggId="menu_room_5";
		this._menu_room_5.ggParameter={ rx:0,ry:0,a:0,sx:1,sy:1 };
		this._menu_room_5.ggVisible=true;
		this._menu_room_5.className='ggskin ggskin_svg';
		hs ='position:absolute;';
		hs+='left: 8px;';
		hs+='top:  10px;';
		hs+='width: 150px;';
		hs+='height: 36px;';
		hs+=cssPrefix + 'transform-origin: 50% 50%;';
		hs+='visibility: inherit;';
		hs+='cursor: pointer;';
		this._menu_room_5.setAttribute('style',hs);
		this._menu_room_5__img=document.createElement('img');
		this._menu_room_5__img.className='ggskin ggskin_svg';
		this._menu_room_5__img.setAttribute('src',basePath + 'images/menu_room_5.svg');
		this._menu_room_5__img.setAttribute('style','position: absolute;top: 0px;left: 0px;width: 150px;height: 36px;-webkit-user-drag:none;');
		this._menu_room_5__img['ondragstart']=function() { return false; };
		this._menu_room_5.appendChild(this._menu_room_5__img);
		this._menu_room_5.onclick=function () {
			me.player.openNext("{node8}","358\/-12\/70");
		}
		this._menu_room_5.onmouseover=function () {
			me._menu_room_5__img.src=basePath + 'images/menu_room_5__o.svg';
		}
		this._menu_room_5.onmouseout=function () {
			me._menu_room_5__img.src=basePath + 'images/menu_room_5.svg';
		}
		this._menu_select_title_e_s=document.createElement('div');
		this._menu_select_title_e_s.ggId="menu_select_title_e_s";
		this._menu_select_title_e_s.ggParameter={ rx:0,ry:0,a:0,sx:1,sy:1 };
		this._menu_select_title_e_s.ggVisible=true;
		this._menu_select_title_e_s.className='ggskin ggskin_text';
		hs ='position:absolute;';
		hs+='left: -9px;';
		hs+='top:  9px;';
		hs+='width: 168px;';
		hs+='height: 18px;';
		hs+=cssPrefix + 'transform-origin: 50% 50%;';
		hs+='visibility: inherit;';
		hs+='border: 0px solid #000000;';
		hs+='color: #828282;';
		hs+='text-align: center;';
		hs+='white-space: nowrap;';
		hs+='padding: 0px 1px 0px 1px;';
		hs+='overflow: hidden;';
		this._menu_select_title_e_s.setAttribute('style',hs);
		this._menu_select_title_e_s.innerHTML="Room 5";
		this._menu_select_title_e=document.createElement('div');
		this._menu_select_title_e.ggId="menu_select_title_e";
		this._menu_select_title_e.ggParameter={ rx:0,ry:0,a:0,sx:1,sy:1 };
		this._menu_select_title_e.ggVisible=true;
		this._menu_select_title_e.className='ggskin ggskin_text';
		hs ='position:absolute;';
		hs+='left: -1px;';
		hs+='top:  0px;';
		hs+='width: 168px;';
		hs+='height: 18px;';
		hs+=cssPrefix + 'transform-origin: 50% 50%;';
		hs+='visibility: inherit;';
		hs+='border: 0px solid #000000;';
		hs+='color: #ffffff;';
		hs+='text-align: center;';
		hs+='white-space: nowrap;';
		hs+='padding: 0px 1px 0px 1px;';
		hs+='overflow: hidden;';
		this._menu_select_title_e.setAttribute('style',hs);
		this._menu_select_title_e.innerHTML="Room 5";
		this._menu_select_title_e_s.appendChild(this._menu_select_title_e);
		this._menu_room_5.appendChild(this._menu_select_title_e_s);
		this._controls_room.appendChild(this._menu_room_5);
		this._menu_room_6=document.createElement('div');
		this._menu_room_6.ggId="menu_room_6";
		this._menu_room_6.ggParameter={ rx:0,ry:0,a:0,sx:1,sy:1 };
		this._menu_room_6.ggVisible=true;
		this._menu_room_6.className='ggskin ggskin_svg';
		hs ='position:absolute;';
		hs+='left: 8px;';
		hs+='top:  10px;';
		hs+='width: 150px;';
		hs+='height: 36px;';
		hs+=cssPrefix + 'transform-origin: 50% 50%;';
		hs+='visibility: inherit;';
		hs+='cursor: pointer;';
		this._menu_room_6.setAttribute('style',hs);
		this._menu_room_6__img=document.createElement('img');
		this._menu_room_6__img.className='ggskin ggskin_svg';
		this._menu_room_6__img.setAttribute('src',basePath + 'images/menu_room_6.svg');
		this._menu_room_6__img.setAttribute('style','position: absolute;top: 0px;left: 0px;width: 150px;height: 36px;-webkit-user-drag:none;');
		this._menu_room_6__img['ondragstart']=function() { return false; };
		this._menu_room_6.appendChild(this._menu_room_6__img);
		this._menu_room_6.onclick=function () {
			me.player.openNext("{node12}","355\/-18.5\/70");
		}
		this._menu_room_6.onmouseover=function () {
			me._menu_room_6__img.src=basePath + 'images/menu_room_6__o.svg';
		}
		this._menu_room_6.onmouseout=function () {
			me._menu_room_6__img.src=basePath + 'images/menu_room_6.svg';
		}
		this._menu_select_f_main_s=document.createElement('div');
		this._menu_select_f_main_s.ggId="menu_select_f_main_s";
		this._menu_select_f_main_s.ggParameter={ rx:0,ry:0,a:0,sx:1,sy:1 };
		this._menu_select_f_main_s.ggVisible=true;
		this._menu_select_f_main_s.className='ggskin ggskin_text';
		hs ='position:absolute;';
		hs+='left: -9px;';
		hs+='top:  9px;';
		hs+='width: 168px;';
		hs+='height: 18px;';
		hs+=cssPrefix + 'transform-origin: 50% 50%;';
		hs+='visibility: inherit;';
		hs+='border: 0px solid #000000;';
		hs+='color: #828282;';
		hs+='text-align: center;';
		hs+='white-space: nowrap;';
		hs+='padding: 0px 1px 0px 1px;';
		hs+='overflow: hidden;';
		this._menu_select_f_main_s.setAttribute('style',hs);
		this._menu_select_f_main_s.innerHTML="Room 6";
		this._menu_select_f_main=document.createElement('div');
		this._menu_select_f_main.ggId="menu_select_f_main";
		this._menu_select_f_main.ggParameter={ rx:0,ry:0,a:0,sx:1,sy:1 };
		this._menu_select_f_main.ggVisible=true;
		this._menu_select_f_main.className='ggskin ggskin_text';
		hs ='position:absolute;';
		hs+='left: -1px;';
		hs+='top:  0px;';
		hs+='width: 168px;';
		hs+='height: 18px;';
		hs+=cssPrefix + 'transform-origin: 50% 50%;';
		hs+='visibility: inherit;';
		hs+='border: 0px solid #000000;';
		hs+='color: #ffffff;';
		hs+='text-align: center;';
		hs+='white-space: nowrap;';
		hs+='padding: 0px 1px 0px 1px;';
		hs+='overflow: hidden;';
		this._menu_select_f_main.setAttribute('style',hs);
		this._menu_select_f_main.innerHTML="Room 6";
		this._menu_select_f_main_s.appendChild(this._menu_select_f_main);
		this._menu_room_6.appendChild(this._menu_select_f_main_s);
		this._controls_room.appendChild(this._menu_room_6);
		this._menu_room_7=document.createElement('div');
		this._menu_room_7.ggId="menu_room_7";
		this._menu_room_7.ggParameter={ rx:0,ry:0,a:0,sx:1,sy:1 };
		this._menu_room_7.ggVisible=true;
		this._menu_room_7.className='ggskin ggskin_svg';
		hs ='position:absolute;';
		hs+='left: 8px;';
		hs+='top:  10px;';
		hs+='width: 150px;';
		hs+='height: 36px;';
		hs+=cssPrefix + 'transform-origin: 50% 50%;';
		hs+='visibility: inherit;';
		hs+='cursor: pointer;';
		this._menu_room_7.setAttribute('style',hs);
		this._menu_room_7__img=document.createElement('img');
		this._menu_room_7__img.className='ggskin ggskin_svg';
		this._menu_room_7__img.setAttribute('src',basePath + 'images/menu_room_7.svg');
		this._menu_room_7__img.setAttribute('style','position: absolute;top: 0px;left: 0px;width: 150px;height: 36px;-webkit-user-drag:none;');
		this._menu_room_7__img['ondragstart']=function() { return false; };
		this._menu_room_7.appendChild(this._menu_room_7__img);
		this._menu_room_7.onclick=function () {
			me.player.setDefaultView();
		}
		this._menu_room_7.onmouseover=function () {
			me._menu_room_7__img.src=basePath + 'images/menu_room_7__o.svg';
		}
		this._menu_room_7.onmouseout=function () {
			me._menu_room_7__img.src=basePath + 'images/menu_room_7.svg';
		}
		this._menu_select_g_main_s=document.createElement('div');
		this._menu_select_g_main_s.ggId="menu_select_g_main_s";
		this._menu_select_g_main_s.ggParameter={ rx:0,ry:0,a:0,sx:1,sy:1 };
		this._menu_select_g_main_s.ggVisible=true;
		this._menu_select_g_main_s.className='ggskin ggskin_text';
		hs ='position:absolute;';
		hs+='left: -9px;';
		hs+='top:  9px;';
		hs+='width: 168px;';
		hs+='height: 18px;';
		hs+=cssPrefix + 'transform-origin: 50% 50%;';
		hs+='visibility: inherit;';
		hs+='border: 0px solid #000000;';
		hs+='color: #828282;';
		hs+='text-align: center;';
		hs+='white-space: nowrap;';
		hs+='padding: 0px 1px 0px 1px;';
		hs+='overflow: hidden;';
		this._menu_select_g_main_s.setAttribute('style',hs);
		this._menu_select_g_main_s.innerHTML="Room 7";
		this._menu_select_g_main=document.createElement('div');
		this._menu_select_g_main.ggId="menu_select_g_main";
		this._menu_select_g_main.ggParameter={ rx:0,ry:0,a:0,sx:1,sy:1 };
		this._menu_select_g_main.ggVisible=true;
		this._menu_select_g_main.className='ggskin ggskin_text';
		hs ='position:absolute;';
		hs+='left: -1px;';
		hs+='top:  0px;';
		hs+='width: 168px;';
		hs+='height: 18px;';
		hs+=cssPrefix + 'transform-origin: 50% 50%;';
		hs+='visibility: inherit;';
		hs+='border: 0px solid #000000;';
		hs+='color: #ffffff;';
		hs+='text-align: center;';
		hs+='white-space: nowrap;';
		hs+='padding: 0px 1px 0px 1px;';
		hs+='overflow: hidden;';
		this._menu_select_g_main.setAttribute('style',hs);
		this._menu_select_g_main.innerHTML="Room 7";
		this._menu_select_g_main_s.appendChild(this._menu_select_g_main);
		this._menu_room_7.appendChild(this._menu_select_g_main_s);
		this._controls_room.appendChild(this._menu_room_7);
		this._menu_room_8=document.createElement('div');
		this._menu_room_8.ggId="menu_room_8";
		this._menu_room_8.ggParameter={ rx:0,ry:0,a:0,sx:1,sy:1 };
		this._menu_room_8.ggVisible=true;
		this._menu_room_8.className='ggskin ggskin_svg';
		hs ='position:absolute;';
		hs+='left: 8px;';
		hs+='top:  10px;';
		hs+='width: 150px;';
		hs+='height: 36px;';
		hs+=cssPrefix + 'transform-origin: 50% 50%;';
		hs+='visibility: inherit;';
		hs+='cursor: pointer;';
		this._menu_room_8.setAttribute('style',hs);
		this._menu_room_8__img=document.createElement('img');
		this._menu_room_8__img.className='ggskin ggskin_svg';
		this._menu_room_8__img.setAttribute('src',basePath + 'images/menu_room_8.svg');
		this._menu_room_8__img.setAttribute('style','position: absolute;top: 0px;left: 0px;width: 150px;height: 36px;-webkit-user-drag:none;');
		this._menu_room_8__img['ondragstart']=function() { return false; };
		this._menu_room_8.appendChild(this._menu_room_8__img);
		this._menu_room_8.onclick=function () {
			me.player.openNext("{node10}","153.5\/-34\/70");
		}
		this._menu_room_8.onmouseover=function () {
			me._menu_room_8__img.src=basePath + 'images/menu_room_8__o.svg';
		}
		this._menu_room_8.onmouseout=function () {
			me._menu_room_8__img.src=basePath + 'images/menu_room_8.svg';
		}
		this._menu_select_h_main_s=document.createElement('div');
		this._menu_select_h_main_s.ggId="menu_select_h_main_s";
		this._menu_select_h_main_s.ggParameter={ rx:0,ry:0,a:0,sx:1,sy:1 };
		this._menu_select_h_main_s.ggVisible=true;
		this._menu_select_h_main_s.className='ggskin ggskin_text';
		hs ='position:absolute;';
		hs+='left: -9px;';
		hs+='top:  9px;';
		hs+='width: 168px;';
		hs+='height: 18px;';
		hs+=cssPrefix + 'transform-origin: 50% 50%;';
		hs+='visibility: inherit;';
		hs+='border: 0px solid #000000;';
		hs+='color: #828282;';
		hs+='text-align: center;';
		hs+='white-space: nowrap;';
		hs+='padding: 0px 1px 0px 1px;';
		hs+='overflow: hidden;';
		this._menu_select_h_main_s.setAttribute('style',hs);
		this._menu_select_h_main_s.innerHTML="Room 8";
		this._menu_select_h_main=document.createElement('div');
		this._menu_select_h_main.ggId="menu_select_h_main";
		this._menu_select_h_main.ggParameter={ rx:0,ry:0,a:0,sx:1,sy:1 };
		this._menu_select_h_main.ggVisible=true;
		this._menu_select_h_main.className='ggskin ggskin_text';
		hs ='position:absolute;';
		hs+='left: -1px;';
		hs+='top:  0px;';
		hs+='width: 168px;';
		hs+='height: 18px;';
		hs+=cssPrefix + 'transform-origin: 50% 50%;';
		hs+='visibility: inherit;';
		hs+='border: 0px solid #000000;';
		hs+='color: #ffffff;';
		hs+='text-align: center;';
		hs+='white-space: nowrap;';
		hs+='padding: 0px 1px 0px 1px;';
		hs+='overflow: hidden;';
		this._menu_select_h_main.setAttribute('style',hs);
		this._menu_select_h_main.innerHTML="Room 8";
		this._menu_select_h_main_s.appendChild(this._menu_select_h_main);
		this._menu_room_8.appendChild(this._menu_select_h_main_s);
		this._controls_room.appendChild(this._menu_room_8);
		this._menu_room_9=document.createElement('div');
		this._menu_room_9.ggId="menu_room_9";
		this._menu_room_9.ggParameter={ rx:0,ry:0,a:0,sx:1,sy:1 };
		this._menu_room_9.ggVisible=true;
		this._menu_room_9.className='ggskin ggskin_svg';
		hs ='position:absolute;';
		hs+='left: 8px;';
		hs+='top:  10px;';
		hs+='width: 150px;';
		hs+='height: 36px;';
		hs+=cssPrefix + 'transform-origin: 50% 50%;';
		hs+='visibility: inherit;';
		hs+='cursor: pointer;';
		this._menu_room_9.setAttribute('style',hs);
		this._menu_room_9__img=document.createElement('img');
		this._menu_room_9__img.className='ggskin ggskin_svg';
		this._menu_room_9__img.setAttribute('src',basePath + 'images/menu_room_9.svg');
		this._menu_room_9__img.setAttribute('style','position: absolute;top: 0px;left: 0px;width: 150px;height: 36px;-webkit-user-drag:none;');
		this._menu_room_9__img['ondragstart']=function() { return false; };
		this._menu_room_9.appendChild(this._menu_room_9__img);
		this._menu_room_9.onclick=function () {
			me.player.toggleAutorotate();
		}
		this._menu_room_9.onmouseover=function () {
			me._menu_room_9__img.src=basePath + 'images/menu_room_9__o.svg';
		}
		this._menu_room_9.onmouseout=function () {
			me._menu_room_9__img.src=basePath + 'images/menu_room_9.svg';
		}
		this._menu_select_title_i_s=document.createElement('div');
		this._menu_select_title_i_s.ggId="menu_select_title_i_s";
		this._menu_select_title_i_s.ggParameter={ rx:0,ry:0,a:0,sx:1,sy:1 };
		this._menu_select_title_i_s.ggVisible=true;
		this._menu_select_title_i_s.className='ggskin ggskin_text';
		hs ='position:absolute;';
		hs+='left: -9px;';
		hs+='top:  9px;';
		hs+='width: 168px;';
		hs+='height: 18px;';
		hs+=cssPrefix + 'transform-origin: 50% 50%;';
		hs+='visibility: inherit;';
		hs+='border: 0px solid #000000;';
		hs+='color: #828282;';
		hs+='text-align: center;';
		hs+='white-space: nowrap;';
		hs+='padding: 0px 1px 0px 1px;';
		hs+='overflow: hidden;';
		this._menu_select_title_i_s.setAttribute('style',hs);
		this._menu_select_title_i_s.innerHTML="Room 9";
		this._menu_select_i_main=document.createElement('div');
		this._menu_select_i_main.ggId="menu_select_i_main";
		this._menu_select_i_main.ggParameter={ rx:0,ry:0,a:0,sx:1,sy:1 };
		this._menu_select_i_main.ggVisible=true;
		this._menu_select_i_main.className='ggskin ggskin_text';
		hs ='position:absolute;';
		hs+='left: -1px;';
		hs+='top:  0px;';
		hs+='width: 168px;';
		hs+='height: 18px;';
		hs+=cssPrefix + 'transform-origin: 50% 50%;';
		hs+='visibility: inherit;';
		hs+='border: 0px solid #000000;';
		hs+='color: #ffffff;';
		hs+='text-align: center;';
		hs+='white-space: nowrap;';
		hs+='padding: 0px 1px 0px 1px;';
		hs+='overflow: hidden;';
		this._menu_select_i_main.setAttribute('style',hs);
		this._menu_select_i_main.innerHTML="Room 9";
		this._menu_select_title_i_s.appendChild(this._menu_select_i_main);
		this._menu_room_9.appendChild(this._menu_select_title_i_s);
		this._controls_room.appendChild(this._menu_room_9);
		this._menu_room_10=document.createElement('div');
		this._menu_room_10.ggId="menu_room_10";
		this._menu_room_10.ggParameter={ rx:0,ry:0,a:0,sx:1,sy:1 };
		this._menu_room_10.ggVisible=true;
		this._menu_room_10.className='ggskin ggskin_svg';
		hs ='position:absolute;';
		hs+='left: 8px;';
		hs+='top:  10px;';
		hs+='width: 150px;';
		hs+='height: 36px;';
		hs+=cssPrefix + 'transform-origin: 50% 50%;';
		hs+='visibility: inherit;';
		hs+='cursor: pointer;';
		this._menu_room_10.setAttribute('style',hs);
		this._menu_room_10__img=document.createElement('img');
		this._menu_room_10__img.className='ggskin ggskin_svg';
		this._menu_room_10__img.setAttribute('src',basePath + 'images/menu_room_10.svg');
		this._menu_room_10__img.setAttribute('style','position: absolute;top: 0px;left: 0px;width: 150px;height: 36px;-webkit-user-drag:none;');
		this._menu_room_10__img['ondragstart']=function() { return false; };
		this._menu_room_10.appendChild(this._menu_room_10__img);
		this._menu_room_10.onclick=function () {
			me.player.openNext("{node14}","5.5\/-23\/70");
		}
		this._menu_room_10.onmouseover=function () {
			me._menu_room_10__img.src=basePath + 'images/menu_room_10__o.svg';
		}
		this._menu_room_10.onmouseout=function () {
			me._menu_room_10__img.src=basePath + 'images/menu_room_10.svg';
		}
		this._menu_select_j_main_s1=document.createElement('div');
		this._menu_select_j_main_s1.ggId="menu_select_j_main_s";
		this._menu_select_j_main_s1.ggParameter={ rx:0,ry:0,a:0,sx:1,sy:1 };
		this._menu_select_j_main_s1.ggVisible=true;
		this._menu_select_j_main_s1.className='ggskin ggskin_text';
		hs ='position:absolute;';
		hs+='left: -9px;';
		hs+='top:  9px;';
		hs+='width: 168px;';
		hs+='height: 18px;';
		hs+=cssPrefix + 'transform-origin: 50% 50%;';
		hs+='visibility: inherit;';
		hs+='border: 0px solid #000000;';
		hs+='color: #828282;';
		hs+='text-align: center;';
		hs+='white-space: nowrap;';
		hs+='padding: 0px 1px 0px 1px;';
		hs+='overflow: hidden;';
		this._menu_select_j_main_s1.setAttribute('style',hs);
		this._menu_select_j_main_s1.innerHTML="Room 10";
		this._menu_select_j_main1=document.createElement('div');
		this._menu_select_j_main1.ggId="menu_select_j_main";
		this._menu_select_j_main1.ggParameter={ rx:0,ry:0,a:0,sx:1,sy:1 };
		this._menu_select_j_main1.ggVisible=true;
		this._menu_select_j_main1.className='ggskin ggskin_text';
		hs ='position:absolute;';
		hs+='left: -1px;';
		hs+='top:  0px;';
		hs+='width: 168px;';
		hs+='height: 18px;';
		hs+=cssPrefix + 'transform-origin: 50% 50%;';
		hs+='visibility: inherit;';
		hs+='border: 0px solid #000000;';
		hs+='color: #ffffff;';
		hs+='text-align: center;';
		hs+='white-space: nowrap;';
		hs+='padding: 0px 1px 0px 1px;';
		hs+='overflow: hidden;';
		this._menu_select_j_main1.setAttribute('style',hs);
		this._menu_select_j_main1.innerHTML="Room 10";
		this._menu_select_j_main_s1.appendChild(this._menu_select_j_main1);
		this._menu_room_10.appendChild(this._menu_select_j_main_s1);
		this._controls_room.appendChild(this._menu_room_10);
		this._menu_room_11=document.createElement('div');
		this._menu_room_11.ggId="menu_room_11";
		this._menu_room_11.ggParameter={ rx:0,ry:0,a:0,sx:1,sy:1 };
		this._menu_room_11.ggVisible=true;
		this._menu_room_11.className='ggskin ggskin_svg';
		hs ='position:absolute;';
		hs+='left: 8px;';
		hs+='top:  10px;';
		hs+='width: 150px;';
		hs+='height: 36px;';
		hs+=cssPrefix + 'transform-origin: 50% 50%;';
		hs+='visibility: inherit;';
		hs+='cursor: pointer;';
		this._menu_room_11.setAttribute('style',hs);
		this._menu_room_11__img=document.createElement('img');
		this._menu_room_11__img.className='ggskin ggskin_svg';
		this._menu_room_11__img.setAttribute('src',basePath + 'images/menu_room_11.svg');
		this._menu_room_11__img.setAttribute('style','position: absolute;top: 0px;left: 0px;width: 150px;height: 36px;-webkit-user-drag:none;');
		this._menu_room_11__img['ondragstart']=function() { return false; };
		this._menu_room_11.appendChild(this._menu_room_11__img);
		this._menu_room_11.onclick=function () {
			me.player.openNext("{node14}","5.5\/-23\/70");
		}
		this._menu_room_11.onmouseover=function () {
			me._menu_room_11__img.src=basePath + 'images/menu_room_11__o.svg';
		}
		this._menu_room_11.onmouseout=function () {
			me._menu_room_11__img.src=basePath + 'images/menu_room_11.svg';
		}
		this._menu_select_j_main_s0=document.createElement('div');
		this._menu_select_j_main_s0.ggId="menu_select_j_main_s";
		this._menu_select_j_main_s0.ggParameter={ rx:0,ry:0,a:0,sx:1,sy:1 };
		this._menu_select_j_main_s0.ggVisible=true;
		this._menu_select_j_main_s0.className='ggskin ggskin_text';
		hs ='position:absolute;';
		hs+='left: -9px;';
		hs+='top:  9px;';
		hs+='width: 168px;';
		hs+='height: 18px;';
		hs+=cssPrefix + 'transform-origin: 50% 50%;';
		hs+='visibility: inherit;';
		hs+='border: 0px solid #000000;';
		hs+='color: #828282;';
		hs+='text-align: center;';
		hs+='white-space: nowrap;';
		hs+='padding: 0px 1px 0px 1px;';
		hs+='overflow: hidden;';
		this._menu_select_j_main_s0.setAttribute('style',hs);
		this._menu_select_j_main_s0.innerHTML="Room 11";
		this._menu_select_j_main0=document.createElement('div');
		this._menu_select_j_main0.ggId="menu_select_j_main";
		this._menu_select_j_main0.ggParameter={ rx:0,ry:0,a:0,sx:1,sy:1 };
		this._menu_select_j_main0.ggVisible=true;
		this._menu_select_j_main0.className='ggskin ggskin_text';
		hs ='position:absolute;';
		hs+='left: -1px;';
		hs+='top:  0px;';
		hs+='width: 168px;';
		hs+='height: 18px;';
		hs+=cssPrefix + 'transform-origin: 50% 50%;';
		hs+='visibility: inherit;';
		hs+='border: 0px solid #000000;';
		hs+='color: #ffffff;';
		hs+='text-align: center;';
		hs+='white-space: nowrap;';
		hs+='padding: 0px 1px 0px 1px;';
		hs+='overflow: hidden;';
		this._menu_select_j_main0.setAttribute('style',hs);
		this._menu_select_j_main0.innerHTML="Room 11";
		this._menu_select_j_main_s0.appendChild(this._menu_select_j_main0);
		this._menu_room_11.appendChild(this._menu_select_j_main_s0);
		this._controls_room.appendChild(this._menu_room_11);
		this._menu_room_12=document.createElement('div');
		this._menu_room_12.ggId="menu_room_12";
		this._menu_room_12.ggParameter={ rx:0,ry:0,a:0,sx:1,sy:1 };
		this._menu_room_12.ggVisible=true;
		this._menu_room_12.className='ggskin ggskin_svg';
		hs ='position:absolute;';
		hs+='left: 8px;';
		hs+='top:  10px;';
		hs+='width: 150px;';
		hs+='height: 36px;';
		hs+=cssPrefix + 'transform-origin: 50% 50%;';
		hs+='visibility: inherit;';
		hs+='cursor: pointer;';
		this._menu_room_12.setAttribute('style',hs);
		this._menu_room_12__img=document.createElement('img');
		this._menu_room_12__img.className='ggskin ggskin_svg';
		this._menu_room_12__img.setAttribute('src',basePath + 'images/menu_room_12.svg');
		this._menu_room_12__img.setAttribute('style','position: absolute;top: 0px;left: 0px;width: 150px;height: 36px;-webkit-user-drag:none;');
		this._menu_room_12__img['ondragstart']=function() { return false; };
		this._menu_room_12.appendChild(this._menu_room_12__img);
		this._menu_room_12.onclick=function () {
			me.player.openNext("{node14}","5.5\/-23\/70");
		}
		this._menu_room_12.onmouseover=function () {
			me._menu_room_12__img.src=basePath + 'images/menu_room_12__o.svg';
		}
		this._menu_room_12.onmouseout=function () {
			me._menu_room_12__img.src=basePath + 'images/menu_room_12.svg';
		}
		this._menu_select_j_main_s=document.createElement('div');
		this._menu_select_j_main_s.ggId="menu_select_j_main_s";
		this._menu_select_j_main_s.ggParameter={ rx:0,ry:0,a:0,sx:1,sy:1 };
		this._menu_select_j_main_s.ggVisible=true;
		this._menu_select_j_main_s.className='ggskin ggskin_text';
		hs ='position:absolute;';
		hs+='left: -9px;';
		hs+='top:  9px;';
		hs+='width: 168px;';
		hs+='height: 18px;';
		hs+=cssPrefix + 'transform-origin: 50% 50%;';
		hs+='visibility: inherit;';
		hs+='border: 0px solid #000000;';
		hs+='color: #828282;';
		hs+='text-align: center;';
		hs+='white-space: nowrap;';
		hs+='padding: 0px 1px 0px 1px;';
		hs+='overflow: hidden;';
		this._menu_select_j_main_s.setAttribute('style',hs);
		this._menu_select_j_main_s.innerHTML="Room 12";
		this._menu_select_j_main=document.createElement('div');
		this._menu_select_j_main.ggId="menu_select_j_main";
		this._menu_select_j_main.ggParameter={ rx:0,ry:0,a:0,sx:1,sy:1 };
		this._menu_select_j_main.ggVisible=true;
		this._menu_select_j_main.className='ggskin ggskin_text';
		hs ='position:absolute;';
		hs+='left: -1px;';
		hs+='top:  0px;';
		hs+='width: 168px;';
		hs+='height: 18px;';
		hs+=cssPrefix + 'transform-origin: 50% 50%;';
		hs+='visibility: inherit;';
		hs+='border: 0px solid #000000;';
		hs+='color: #ffffff;';
		hs+='text-align: center;';
		hs+='white-space: nowrap;';
		hs+='padding: 0px 1px 0px 1px;';
		hs+='overflow: hidden;';
		this._menu_select_j_main.setAttribute('style',hs);
		this._menu_select_j_main.innerHTML="Room 12";
		this._menu_select_j_main_s.appendChild(this._menu_select_j_main);
		this._menu_room_12.appendChild(this._menu_select_j_main_s);
		this._controls_room.appendChild(this._menu_room_12);
		this._dropdown_menu_rooms.appendChild(this._controls_room);
		this._menu_bg_room=document.createElement('div');
		this._menu_bg_room.ggId="menu_bg_room";
		this._menu_bg_room.ggParameter={ rx:0,ry:0,a:0,sx:1,sy:1 };
		this._menu_bg_room.ggVisible=true;
		this._menu_bg_room.className='ggskin ggskin_svg';
		hs ='position:absolute;';
		hs+='left: 0px;';
		hs+='top:  0px;';
		hs+='width: 150px;';
		hs+='height: 36px;';
		hs+=cssPrefix + 'transform-origin: 50% 50%;';
		hs+='visibility: inherit;';
		hs+='cursor: pointer;';
		this._menu_bg_room.setAttribute('style',hs);
		this._menu_bg_room__img=document.createElement('img');
		this._menu_bg_room__img.className='ggskin ggskin_svg';
		this._menu_bg_room__img.setAttribute('src',basePath + 'images/menu_bg_room.svg');
		this._menu_bg_room__img.setAttribute('style','position: absolute;top: 0px;left: 0px;width: 150px;height: 36px;-webkit-user-drag:none;');
		this._menu_bg_room__img['ondragstart']=function() { return false; };
		this._menu_bg_room.appendChild(this._menu_bg_room__img);
		this._menu_bg_room.onmouseover=function () {
			me._menu_bg_room__img.src=basePath + 'images/menu_bg_room__o.svg';
		}
		this._menu_bg_room.onmouseout=function () {
			me._menu_bg_room__img.src=basePath + 'images/menu_bg_room.svg';
		}
		this._menu_select_title_main_s=document.createElement('div');
		this._menu_select_title_main_s.ggId="menu_select_title_main_s";
		this._menu_select_title_main_s.ggParameter={ rx:0,ry:0,a:0,sx:1,sy:1 };
		this._menu_select_title_main_s.ggVisible=true;
		this._menu_select_title_main_s.className='ggskin ggskin_text';
		hs ='position:absolute;';
		hs+='left: -9px;';
		hs+='top:  9px;';
		hs+='width: 168px;';
		hs+='height: 18px;';
		hs+=cssPrefix + 'transform-origin: 50% 50%;';
		hs+='visibility: inherit;';
		hs+='border: 0px solid #000000;';
		hs+='color: #828282;';
		hs+='text-align: center;';
		hs+='white-space: nowrap;';
		hs+='padding: 0px 1px 0px 1px;';
		hs+='overflow: hidden;';
		this._menu_select_title_main_s.setAttribute('style',hs);
		this._menu_select_title_main_s.innerHTML="Room Samples";
		this._menu_select_title_main=document.createElement('div');
		this._menu_select_title_main.ggId="menu_select_title_main";
		this._menu_select_title_main.ggParameter={ rx:0,ry:0,a:0,sx:1,sy:1 };
		this._menu_select_title_main.ggVisible=true;
		this._menu_select_title_main.className='ggskin ggskin_text';
		hs ='position:absolute;';
		hs+='left: -1px;';
		hs+='top:  -1px;';
		hs+='width: 168px;';
		hs+='height: 18px;';
		hs+=cssPrefix + 'transform-origin: 50% 50%;';
		hs+='visibility: inherit;';
		hs+='border: 0px solid #000000;';
		hs+='color: #ffffff;';
		hs+='text-align: center;';
		hs+='white-space: nowrap;';
		hs+='padding: 0px 1px 0px 1px;';
		hs+='overflow: hidden;';
		this._menu_select_title_main.setAttribute('style',hs);
		this._menu_select_title_main.innerHTML="Room Samples";
		this._menu_select_title_main_s.appendChild(this._menu_select_title_main);
		this._menu_bg_room.appendChild(this._menu_select_title_main_s);
		this._menu_up_room=document.createElement('div');
		this._menu_up_room.ggId="menu_up_room";
		this._menu_up_room.ggParameter={ rx:0,ry:0,a:0,sx:0,sy:0 };
		this._menu_up_room.ggVisible=true;
		this._menu_up_room.className='ggskin ggskin_rectangle';
		hs ='position:absolute;';
		hs+='left: 0px;';
		hs+='top:  0px;';
		hs+='width: 150px;';
		hs+='height: 35px;';
		hs+=cssPrefix + 'transform-origin: 50% 50%;';
		hs+=cssPrefix + 'transform: ' + parameterToTransform(this._menu_up_room.ggParameter) + ';';
		hs+='visibility: inherit;';
		hs+='cursor: pointer;';
		hs+='background: #ffffff;';
		hs+='background: rgba(255,255,255,0.0392157);';
		hs+='border: 0px solid #ffffff;';
		this._menu_up_room.setAttribute('style',hs);
		this._menu_up_room.onclick=function () {
			var list=me.findElements("menu_room_.*",true);
			while(list.length>0) {
				var e=list.pop();
				if (me.player.transitionsDisabled) {
					e.style[domTransition]='none';
				} else {
					e.style[domTransition]='all 1000ms ease-out 0ms';
				}
				e.ggParameter.rx=0;e.ggParameter.ry=0;
				e.style[domTransform]=parameterToTransform(e.ggParameter);
			}
			me._menu_up_room.style[domTransition]='none';
			me._menu_up_room.ggParameter.sx=0;me._menu_up_room.ggParameter.sy=0;
			me._menu_up_room.style[domTransform]=parameterToTransform(me._menu_up_room.ggParameter);
			me._menu_down_room.style[domTransition]='none';
			me._menu_down_room.ggParameter.sx=1;me._menu_down_room.ggParameter.sy=1;
			me._menu_down_room.style[domTransform]=parameterToTransform(me._menu_down_room.ggParameter);
			me._controls_room.style[domTransition]='none';
			me._controls_room.style.visibility='hidden';
			me._controls_room.ggVisible=false;
		}
		this._menu_bg_room.appendChild(this._menu_up_room);
		this._menu_down_room=document.createElement('div');
		this._menu_down_room.ggId="menu_down_room";
		this._menu_down_room.ggParameter={ rx:0,ry:0,a:0,sx:1,sy:1 };
		this._menu_down_room.ggVisible=true;
		this._menu_down_room.className='ggskin ggskin_rectangle';
		hs ='position:absolute;';
		hs+='left: 0px;';
		hs+='top:  0px;';
		hs+='width: 150px;';
		hs+='height: 35px;';
		hs+=cssPrefix + 'transform-origin: 50% 50%;';
		hs+='visibility: inherit;';
		hs+='cursor: pointer;';
		hs+='background: #ffffff;';
		hs+='background: rgba(255,255,255,0.0392157);';
		hs+='border: 0px solid #000000;';
		this._menu_down_room.setAttribute('style',hs);
		this._menu_down_room.onclick=function () {
			me._menu_down_room.style[domTransition]='none';
			me._menu_down_room.ggParameter.sx=0;me._menu_down_room.ggParameter.sy=0;
			me._menu_down_room.style[domTransform]=parameterToTransform(me._menu_down_room.ggParameter);
			me._menu_up_room.style[domTransition]='none';
			me._menu_up_room.ggParameter.sx=1;me._menu_up_room.ggParameter.sy=1;
			me._menu_up_room.style[domTransform]=parameterToTransform(me._menu_up_room.ggParameter);
			if (me.player.transitionsDisabled) {
				me._menu_room_1.style[domTransition]='none';
			} else {
				me._menu_room_1.style[domTransition]='all 1000ms ease-out 0ms';
			}
			me._menu_room_1.ggParameter.rx=0;me._menu_room_1.ggParameter.ry=35;
			me._menu_room_1.style[domTransform]=parameterToTransform(me._menu_room_1.ggParameter);
			if (me.player.transitionsDisabled) {
				me._menu_room_2.style[domTransition]='none';
			} else {
				me._menu_room_2.style[domTransition]='all 1000ms ease-out 0ms';
			}
			me._menu_room_2.ggParameter.rx=0;me._menu_room_2.ggParameter.ry=70;
			me._menu_room_2.style[domTransform]=parameterToTransform(me._menu_room_2.ggParameter);
			if (me.player.transitionsDisabled) {
				me._menu_room_3.style[domTransition]='none';
			} else {
				me._menu_room_3.style[domTransition]='all 1000ms ease-out 0ms';
			}
			me._menu_room_3.ggParameter.rx=0;me._menu_room_3.ggParameter.ry=105;
			me._menu_room_3.style[domTransform]=parameterToTransform(me._menu_room_3.ggParameter);
			if (me.player.transitionsDisabled) {
				me._menu_room_4.style[domTransition]='none';
			} else {
				me._menu_room_4.style[domTransition]='all 1000ms ease-out 0ms';
			}
			me._menu_room_4.ggParameter.rx=0;me._menu_room_4.ggParameter.ry=140;
			me._menu_room_4.style[domTransform]=parameterToTransform(me._menu_room_4.ggParameter);
			if (me.player.transitionsDisabled) {
				me._menu_room_5.style[domTransition]='none';
			} else {
				me._menu_room_5.style[domTransition]='all 1000ms ease-out 0ms';
			}
			me._menu_room_5.ggParameter.rx=0;me._menu_room_5.ggParameter.ry=175;
			me._menu_room_5.style[domTransform]=parameterToTransform(me._menu_room_5.ggParameter);
			if (me.player.transitionsDisabled) {
				me._menu_room_6.style[domTransition]='none';
			} else {
				me._menu_room_6.style[domTransition]='all 1000ms ease-out 0ms';
			}
			me._menu_room_6.ggParameter.rx=0;me._menu_room_6.ggParameter.ry=210;
			me._menu_room_6.style[domTransform]=parameterToTransform(me._menu_room_6.ggParameter);
			if (me.player.transitionsDisabled) {
				me._menu_room_7.style[domTransition]='none';
			} else {
				me._menu_room_7.style[domTransition]='all 1000ms ease-out 0ms';
			}
			me._menu_room_7.ggParameter.rx=0;me._menu_room_7.ggParameter.ry=245;
			me._menu_room_7.style[domTransform]=parameterToTransform(me._menu_room_7.ggParameter);
			if (me.player.transitionsDisabled) {
				me._menu_room_8.style[domTransition]='none';
			} else {
				me._menu_room_8.style[domTransition]='all 1000ms ease-out 0ms';
			}
			me._menu_room_8.ggParameter.rx=0;me._menu_room_8.ggParameter.ry=280;
			me._menu_room_8.style[domTransform]=parameterToTransform(me._menu_room_8.ggParameter);
			if (me.player.transitionsDisabled) {
				me._menu_room_9.style[domTransition]='none';
			} else {
				me._menu_room_9.style[domTransition]='all 1000ms ease-out 0ms';
			}
			me._menu_room_9.ggParameter.rx=0;me._menu_room_9.ggParameter.ry=315;
			me._menu_room_9.style[domTransform]=parameterToTransform(me._menu_room_9.ggParameter);
			if (me.player.transitionsDisabled) {
				me._menu_room_10.style[domTransition]='none';
			} else {
				me._menu_room_10.style[domTransition]='all 1000ms ease-out 0ms';
			}
			me._menu_room_10.ggParameter.rx=0;me._menu_room_10.ggParameter.ry=350;
			me._menu_room_10.style[domTransform]=parameterToTransform(me._menu_room_10.ggParameter);
			if (me.player.transitionsDisabled) {
				me._menu_room_11.style[domTransition]='none';
			} else {
				me._menu_room_11.style[domTransition]='all 1000ms ease-out 0ms';
			}
			me._menu_room_11.ggParameter.rx=0;me._menu_room_11.ggParameter.ry=385;
			me._menu_room_11.style[domTransform]=parameterToTransform(me._menu_room_11.ggParameter);
			me._controls_room.style[domTransition]='none';
			me._controls_room.style.visibility='inherit';
			me._controls_room.ggVisible=true;
			if (me.player.transitionsDisabled) {
				me._menu_room_12.style[domTransition]='none';
			} else {
				me._menu_room_12.style[domTransition]='all 1000ms ease-out 0ms';
			}
			me._menu_room_12.ggParameter.rx=0;me._menu_room_12.ggParameter.ry=420;
			me._menu_room_12.style[domTransform]=parameterToTransform(me._menu_room_12.ggParameter);
		}
		this._menu_bg_room.appendChild(this._menu_down_room);
		this._dropdown_menu_rooms.appendChild(this._menu_bg_room);
		this.divSkin.appendChild(this._dropdown_menu_rooms);
		this.divSkin.ggUpdateSize=function(w,h) {
			me.updateSize(me.divSkin);
		}
		this.divSkin.ggViewerInit=function() {
		}
		this.divSkin.ggLoaded=function() {
		}
		this.divSkin.ggReLoaded=function() {
		}
		this.divSkin.ggLoadedLevels=function() {
		}
		this.divSkin.ggReLoadedLevels=function() {
		}
		this.divSkin.ggEnterFullscreen=function() {
		}
		this.divSkin.ggExitFullscreen=function() {
		}
		this.skinTimerEvent();
	};
	this.hotspotProxyClick=function(id) {
	}
	this.hotspotProxyOver=function(id) {
	}
	this.hotspotProxyOut=function(id) {
	}
	this.changeActiveNode=function(id) {
		var newMarker=new Array();
		var i,j;
		var tags=me.player.userdata.tags;
		for (i=0;i<nodeMarker.length;i++) {
			var match=false;
			if (nodeMarker[i].ggMarkerNodeId==id) match=true;
			for(j=0;j<tags.length;j++) {
				if (nodeMarker[i].ggMarkerNodeId==tags[j]) match=true;
			}
			if (match) {
				newMarker.push(nodeMarker[i]);
			}
		}
		for(i=0;i<activeNodeMarker.length;i++) {
			if (newMarker.indexOf(activeNodeMarker[i])<0) {
				if (activeNodeMarker[i].ggMarkerNormal) {
					activeNodeMarker[i].ggMarkerNormal.style.visibility='inherit';
				}
				if (activeNodeMarker[i].ggMarkerActive) {
					activeNodeMarker[i].ggMarkerActive.style.visibility='hidden';
				}
				if (activeNodeMarker[i].ggDeactivate) {
					activeNodeMarker[i].ggDeactivate();
				}
			}
		}
		for(i=0;i<newMarker.length;i++) {
			if (activeNodeMarker.indexOf(newMarker[i])<0) {
				if (newMarker[i].ggMarkerNormal) {
					newMarker[i].ggMarkerNormal.style.visibility='hidden';
				}
				if (newMarker[i].ggMarkerActive) {
					newMarker[i].ggMarkerActive.style.visibility='inherit';
				}
				if (newMarker[i].ggActivate) {
					newMarker[i].ggActivate();
				}
			}
		}
		activeNodeMarker=newMarker;
	}
	this.skinTimerEvent=function() {
		setTimeout(function() { me.skinTimerEvent(); }, 10);
		if (me.elementMouseDown['menu_select_left']) {
			me.player.changePanLog(1,true);
		}
		if (me.elementMouseDown['menu_select_down']) {
			me.player.changeTiltLog(-1,true);
		}
		if (me.elementMouseDown['menu_select_up']) {
			me.player.changeTiltLog(1,true);
		}
		if (me.elementMouseDown['menu_select_right']) {
			me.player.changePanLog(-1,true);
		}
		if (me.elementMouseDown['menu_select_zoomin']) {
			me.player.changeFovLog(-1,true);
		}
		if (me.elementMouseDown['menu_select_zoomout']) {
			me.player.changeFovLog(1,true);
		}
	};
	this.addSkin();
};